package com.uas.platform.warehouse.backend.config;

import com.uas.platform.warehouse.backend.config.interceptor.AuthenticateInterceptor;
import com.uas.platform.warehouse.backend.transport.auth.service.AppAuthenticationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

/**
 * Web mvc configuration.
 *
 * @author huxz
 */
@Configuration
public class WebMvcConfiguration extends WebMvcConfigurerAdapter {

  private final AppAuthenticationService appAuthenticationService;

  @Autowired
  public WebMvcConfiguration(
      AppAuthenticationService appAuthenticationService) {
    this.appAuthenticationService = appAuthenticationService;
  }

  @Override
  public void addInterceptors(InterceptorRegistry registry) {
    registry.addInterceptor(new AuthenticateInterceptor(appAuthenticationService))
        .addPathPatterns("/api/**");
    super.addInterceptors(registry);
  }
}
