package com.uas.platform.warehouse.backend.entity;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 记录异常单据或回传信息.
 *
 * @author huxz
 */
@Entity
@Table(name = "error_log")
public class ErrorLog {

  @Id
  @GeneratedValue
  @Column(name = "id")
  private Long id;

  /**
   * 创建时间.
   */
  @Column(name = "create_time")
  private Date createTime;

  /**
   * 发送方企业UU.
   */
  @Column(name = "sender_uu")
  private String senderUu;

  /**
   * 接收方企业UU.
   */
  @Column(name = "receiver_uu")
  private String receiverUu;

  /**
   * 日志类型.
   */
  @Column(name = "log_type")
  @Enumerated(EnumType.STRING)
  private LogType type;

  /**
   * 异常数据.
   */
  @Column(name = "error_data", columnDefinition = "TEXT")
  private String data;

  /**
   * 异常原因.
   */
  @Column(name = "reason", columnDefinition = "TEXT")
  private String reason;

  public ErrorLog() {
  }

  public Long getId() {
    return id;
  }

  public void setId(Long id) {
    this.id = id;
  }

  public Date getCreateTime() {
    return createTime;
  }

  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }

  public String getSenderUu() {
    return senderUu;
  }

  public void setSenderUu(String senderUu) {
    this.senderUu = senderUu;
  }

  public String getReceiverUu() {
    return receiverUu;
  }

  public void setReceiverUu(String receiverUu) {
    this.receiverUu = receiverUu;
  }

  public LogType getType() {
    return type;
  }

  public void setType(LogType type) {
    this.type = type;
  }

  public String getData() {
    return data;
  }

  public void setData(String data) {
    this.data = data;
  }

  public String getReason() {
    return reason;
  }

  public void setReason(String reason) {
    this.reason = reason;
  }

  public enum LogType {
    /**
     * 非法单据信息.
     */
    INVALID_VOUCHER,

    /**
     * 非法回传信息.
     */
    INVALID_REPLY
  }
}
