package com.uas.platform.warehouse.backend.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.uas.platform.warehouse.backend.transport.entity.BaseReply;
import org.joda.time.LocalDateTime;

import javax.persistence.*;
import java.util.Date;
import java.util.List;

/**
 * Created by luhg on 2017/11/28.
 * 发票回传
 */
@Entity
@Table(name = "invoice_reply")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class InvoiceReply extends BaseReply {
    @Id
    @GeneratedValue
    @Column(name = "id")
    @JsonIgnore
    private long id;

    /**
     * 单号
     */
    @Column(name = "invoice_no")
    private String invoiceNo;

    /**
     * 数据类型.
     */
    @Column(name = "type")
    private String type;

    /**
     * 所属企业UU.
     */
    @Column(name = "en_uu")
    @JsonIgnore
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String enUu;

    /**
     * warehouse name
     */
    @Column(name = "wh_name")
    private String whName;

    /**
     * 接收方UU
     */
    @Column(name = "receiverUU")
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String receiverUU;

    /**
     * 发送方UU
     */
    @Column(name = "senderUU")
    private String senderUU;

    /**
     * 企业名称
     */
    @Column(name = "enterprise")
    private String enterprise;

    /**
     * 操作时间
     */
    @Column(name = "operate_time")
    @JsonIgnore
    private Date operateTime = LocalDateTime.now().toDate();


    /**
     * 备用字段1.
     */
    @Column(name = "attribute1",columnDefinition = "TEXT")
    private String attribute1;

    /**
     * 备用字段2.
     */
    @Column(name = "attribute2",columnDefinition = "TEXT")
    private String attribute2;

    /**
     * 备用字段3.
     */
    @Column(name = "attribute3",columnDefinition = "TEXT")
    private String attribute3;

    /**
     * 明细.
     */
    @OneToMany(cascade = CascadeType.ALL, fetch = FetchType.EAGER)
    @JoinColumn(name = "invoice_reply_id")
    private List<InvoiceReplyDetail> details;

    public InvoiceReply(){
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    @Override
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getEnUu() {
        return enUu;
    }

    public void setEnUu(String enUu) {
        this.enUu = enUu;
    }

    public String getWhName() {
        return whName;
    }

    public void setWhName(String whName) {
        this.whName = whName;
    }

    @Override
    public String getReceiverUU() {
        return receiverUU;
    }

    public void setReceiverUU(String receiverUU) {
        this.receiverUU = receiverUU;
    }

    public String getSenderUU() {
        return senderUU;
    }

    public void setSenderUU(String senderUU) {
        this.senderUU = senderUU;
    }

    public String getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(String enterprise) {
        this.enterprise = enterprise;
    }

    public Date getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(Date operateTime) {
        this.operateTime = operateTime;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }

    public List<InvoiceReplyDetail> getDetails() {
        return details;
    }

    public void setDetails(List<InvoiceReplyDetail> details) {
        this.details = details;
    }
}
