package com.uas.platform.warehouse.backend.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.uas.platform.warehouse.core.util.JacksonUtils;
import org.joda.time.LocalDateTime;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by luhg on 2017/11/29.
 * 发票明细回传
 */
@Entity
@Table(name = "invoice_reply_detail")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class InvoiceReplyDetail {
    @Id
    @GeneratedValue
    @Column(name = "id")
    @JsonIgnore
    private Long id;

    /**
     * 发票号.
     */
    @Column(name = "invoice_no")
    private String invoiceNo;

    /**
     * 行号.
     */
    @Column(name = "invoice_line_no")
    private String invoiceLineNo;
    /**
     * 物料号
     */
    @Column(name = "pn")
    private String pn;

    /**
     * 物料名称
     */
    @Column(name = "item_name")
    private String itemName;

    /**
     * 物料规格
     */
    @Column(name = "spec")
    private String spec;

    /**
     * 客户PO号
     */
    @Column(name = "cust_po")
    private String custPo;

    /**
     * 客户物料号
     */
    @Column(name = "cust_pn")
    private String custPn;

    /**
     * 品牌
     */
    @Column(name = "brand")
    private String brand;

    /**
     * 数量
     */
    @Column(name = "qty")
    private double qty;

    /**
     * 单价
     */
    @Column(name = "price")
    private double price;

    /**
     * 金额
     */
    @Column(name = "total")
    private double total;

    /**
     * 明细备注
     */
    @Column(name = "detail_remark",columnDefinition = "TEXT")
    private String detailRemark;

    /**
     * 产地
     */
    @Column(name = "madein")
    private String madein;

    /**
     * 备用字段1.
     */
    @Column(name = "attribute1",columnDefinition = "TEXT")
    private String attribute1;

    /**
     * 备用字段2.
     */
    @Column(name = "attribute2",columnDefinition = "TEXT")
    private String attribute2;

    /**
     * 备用字段3.
     */
    @Column(name = "attribute3",columnDefinition = "TEXT")
    private String attribute3;

    /**
     * 操作时间
     */
    @Column(name = "operate_time")
    @JsonIgnore
    private Date operateTime = LocalDateTime.now().toDate();

    @Override
    public String toString() {
        return JacksonUtils.toJson(this);
    }

    public InvoiceReplyDetail(){
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getInvoiceLineNo() {
        return invoiceLineNo;
    }

    public void setInvoiceLineNo(String invoiceLineNo) {
        this.invoiceLineNo = invoiceLineNo;
    }

    public String getPn() {
        return pn;
    }

    public void setPn(String pn) {
        this.pn = pn;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public String getCustPo() {
        return custPo;
    }

    public void setCustPo(String custPo) {
        this.custPo = custPo;
    }

    public String getCustPn() {
        return custPn;
    }

    public void setCustPn(String custPn) {
        this.custPn = custPn;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public double getQty() {
        return qty;
    }

    public void setQty(double qty) {
        this.qty = qty;
    }

    public double getTotal() {
        return total;
    }

    public void setTotal(double total) {
        this.total = total;
    }

    public String getDetailRemark() {
        return detailRemark;
    }

    public void setDetailRemark(String detailRemark) {
        this.detailRemark = detailRemark;
    }

    public String getMadein() {
        return madein;
    }

    public void setMadein(String madein) {
        this.madein = madein;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }

    public Date getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(Date operateTime) {
        this.operateTime = operateTime;
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        this.price = price;
    }
}
