package com.uas.platform.warehouse.backend.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.uas.platform.warehouse.backend.transport.entity.BaseVoucher;
import com.uas.platform.warehouse.core.util.JacksonUtils;

import javax.persistence.*;
import java.util.Date;
import java.util.List;

/**
 * Created by luhg on 2017/11/22.
 * 装箱单.
 */
@Entity
@Table(name = "packing")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class Packing  extends BaseVoucher {
    @Id
    @GeneratedValue
    @Column(name = "id")
    @JsonIgnore
    private long id;

    /**
     * 单号
     */
    @Column(name = "packing_no")
    private String packingNo;

    /**
     * 客户名称
     */
    @Column(name = "cust_name")
    private String custName;

    /**
     * 客户编号
     */
    @Column(name = "cust_code")
    private String custCode;

    /**
     * 客户UU
     */
    @Column(name = "cust_uu")
    private String custUU;

    /**
     * 录入人
     */
    @Column(name = "operator")
    private String operator;

    /**
     * 录入人UU
     */
    @Column(name = "operator_uu")
    private String operatorUU;

    /**
     * 送货地址
     */
    @Column(name = "cust_address",columnDefinition = "TEXT")
    private String custAddress;

    /**
     * 客户联系人
     */
    @Column(name = "cust_contact",columnDefinition = "TEXT")
    private String custContact;

    /**
     * 客户电话
     */
    @Column(name = "cust_tel")
    private String custTel;

    /**
     * 客户传真
     */
    @Column(name = "cust_fax")
    private String custFax;

    /**
     * 部门
     */
    @Column(name = "depart")
    private String depart;

    /**
     * 营业员
     */
    @Column(name = "seller")
    private String seller;

    /**
     * 包装单日期
     */
    @Column(name = "packing_date")
    private Date packingDate;

    /**
     * 装箱要求
     */
    @Column(name = "packing_remark",columnDefinition = "TEXT")
    private String packingRemark;

    /**
     * 备注
     */
    @Column(name = "remark",columnDefinition = "TEXT")
    private String remark;

    /**
     * 包装单明细.
     */
    @OneToMany(cascade = CascadeType.ALL, fetch = FetchType.EAGER)
    @JoinColumn(name = "packing_id")
    private List<PackingDetail> details;

    public Packing() {
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getPackingNo() {
        return packingNo;
    }

    public void setPackingNo(String packingNo) {
        this.packingNo = packingNo;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getCustCode() {
        return custCode;
    }

    public void setCustCode(String custCode) {
        this.custCode = custCode;
    }

    public String getCustUU() {
        return custUU;
    }

    public void setCustUU(String custUU) {
        this.custUU = custUU;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getOperatorUU() {
        return operatorUU;
    }

    public void setOperatorUU(String operatorUU) {
        this.operatorUU = operatorUU;
    }

    public String getCustAddress() {
        return custAddress;
    }

    public void setCustAddress(String custAddress) {
        this.custAddress = custAddress;
    }

    public String getCustContact() {
        return custContact;
    }

    public void setCustContact(String custContact) {
        this.custContact = custContact;
    }

    public String getCustTel() {
        return custTel;
    }

    public void setCustTel(String custTel) {
        this.custTel = custTel;
    }

    public String getCustFax() {
        return custFax;
    }

    public void setCustFax(String custFax) {
        this.custFax = custFax;
    }

    public String getDepart() {
        return depart;
    }

    public void setDepart(String depart) {
        this.depart = depart;
    }

    public String getSeller() {
        return seller;
    }

    public void setSeller(String seller) {
        this.seller = seller;
    }

    public Date getPackingDate() {
        return packingDate;
    }

    public void setPackingDate(Date packingDate) {
        this.packingDate = packingDate;
    }

    public String getPackingRemark() {
        return packingRemark;
    }

    public void setPackingRemark(String packingRemark) {
        this.packingRemark = packingRemark;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<PackingDetail> getDetails() {
        return details;
    }

    public void setDetails(List<PackingDetail> details) {
        this.details = details;
    }

    @Override
    public String toString() {
        return JacksonUtils.toJson(this);
    }
}
