package com.uas.platform.warehouse.backend.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import org.joda.time.LocalDateTime;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by luhg on 2017/11/24.
 * 包装单回复明细.
 */
@Entity
@Table(name = "packing_reply_detail")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class PackingReplyDetail {
    @Id
    @GeneratedValue
    @Column(name = "id")
    @JsonIgnore
    private Long id;

    /**
     * 包装单号.
     */
    @Column(name = "packing_no")
    private String packingNo;

    /**
     * 包装单行号.
     */
    @Column(name = "packing_line_no")
    private String packingLineNo;

    /**
     * 物料号
     */
    @Column(name = "pn")
    private String pn;

    /**
     * 客户PO号
     */
    @Column(name = "cust_po")
    private String custPo;

    /**
     * 客户物料号
     */
    @Column(name = "cust_pn")
    private String custPn;

    /**
     * 客户型号
     */
    @Column(name = "cust_mode")
    private String custProdSpec;

    /**
     * 合同号
     */
    @Column(name = "contract")
    private String contract;

    /**
     * 销售单价
     */
    @Column(name = "saleprice")
    private double salePrice;

    /**
     * 数量
     */
    @Column(name = "qty")
    private long qty;

    /**
     * 物料规格
     */
    @Column(name = "spec")
    private String spec;

    /**
     * 物料名称
     */
    @Column(name = "item_name")
    private String itemName;

    /**
     * 箱号
     */
    @Column(name = "carton_no")
    private String cartonNo;

    /**
     * 件数
     */
    @Column(name = "pieces")
    private String pieces;

    /**
     * 长
     */
    @Column(name = "length")
    private String length;

    /**
     * 宽
     */
    @Column(name = "width")
    private String width;

    /**
     * 高
     */
    @Column(name = "height")
    private String height;

    /**
     * 毛重
     */
    @Column(name = "gw")
    private String gw;

    /**
     * 净重
     */
    @Column(name = "nw")
    private String nw;


    /**
     * 产地
     */
    @Column(name = "origin")
    private String origin;

    /**
     * lot no
     */
    @Column(name = "lotno",columnDefinition = "TEXT")
    private String lotNo;

    /**
     * dc
     */
    @Column(name = "datecode",columnDefinition = "TEXT")
    private String dateCode;

    /**
     * 备用字段1.
     */
    @Column(name = "attribute1",columnDefinition = "TEXT")
    private String attribute1;

    /**
     * 备用字段2.
     */
    @Column(name = "attribute2",columnDefinition = "TEXT")
    private String attribute2;

    /**
     * 备用字段3.
     */
    @Column(name = "attribute3",columnDefinition = "TEXT")
    private String attribute3;

    /**
     * 操作时间
     */
    @Column(name = "operate_time")
    @JsonIgnore
    private Date operateTime = LocalDateTime.now().toDate();

    public PackingReplyDetail() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPackingNo() {
        return packingNo;
    }

    public void setPackingNo(String packingNo) {
        this.packingNo = packingNo;
    }

    public String getPackingLineNo() {
        return packingLineNo;
    }

    public void setPackingLineNo(String packingLineNo) {
        this.packingLineNo = packingLineNo;
    }

    public String getPn() {
        return pn;
    }

    public void setPn(String pn) {
        this.pn = pn;
    }

    public String getCustPo() {
        return custPo;
    }

    public void setCustPo(String custPo) {
        this.custPo = custPo;
    }

    public String getCustPn() {
        return custPn;
    }

    public void setCustPn(String custPn) {
        this.custPn = custPn;
    }

    public String getCustProdSpec() {
        return custProdSpec;
    }

    public void setCustProdSpec(String custProdSpec) {
        this.custProdSpec = custProdSpec;
    }

    public String getContract() {
        return contract;
    }

    public void setContract(String contract) {
        this.contract = contract;
    }

    public double getSalePrice() {
        return salePrice;
    }

    public void setSalePrice(double salePrice) {
        this.salePrice = salePrice;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getCartonNo() {
        return cartonNo;
    }

    public void setCartonNo(String cartonNo) {
        this.cartonNo = cartonNo;
    }

    public String getPieces() {
        return pieces;
    }

    public void setPieces(String pieces) {
        this.pieces = pieces;
    }

    public String getLength() {
        return length;
    }

    public void setLength(String length) {
        this.length = length;
    }

    public String getWidth() {
        return width;
    }

    public void setWidth(String width) {
        this.width = width;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getGw() {
        return gw;
    }

    public void setGw(String gw) {
        this.gw = gw;
    }

    public String getNw() {
        return nw;
    }

    public void setNw(String nw) {
        this.nw = nw;
    }

    public String getOrigin() {
        return origin;
    }

    public void setOrigin(String origin) {
        this.origin = origin;
    }

    public long getQty() {
        return qty;
    }

    public void setQty(long qty) {
        this.qty = qty;
    }

    public String getLotNo() {
        return lotNo;
    }

    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    public String getDateCode() {
        return dateCode;
    }

    public void setDateCode(String dateCode) {
        this.dateCode = dateCode;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }

    public Date getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(Date operateTime) {
        this.operateTime = operateTime;
    }
}
