package com.uas.platform.warehouse.backend.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.uas.platform.warehouse.backend.transport.entity.BaseReply;

import javax.persistence.*;
import java.util.Date;

/**
 * 出入库报关单实体
 * @Author liujw
 * @Date 2017/12/13 14:21
 */
    @Entity
    @Table(name = "mainfest")
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
public class ProdioMainfest extends BaseReply {

    @Id
    @GeneratedValue
    @Column(name = "id")
    @JsonIgnore
    private long id;
    /**
     * 出入库单单据编号
     */
    @Column(name = "code")
    private String code;

    /**
     * 数据类型.
     */
    @Column(name = "type")
    private String type;

    /**
     * 报关时间
     */
    @Column(name = "customstime")
    private Date customsTime;

    /**
     * 报关状态
     */
    @Column(name = "customsstatus")
    private String customsStatus;

    /**
     * 备注信息
     */
    @Column(name = "remark",columnDefinition = "TEXT")
    private String remark;

    @Column(name = "date_")
    private Date date;

    /**
     * 接收方UU.
     */
    @Column(name = "receiver_uu")
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String receiverUU;

    /**
     * 发送方UU.
     */
    @Column(name = "sender_uu")
    private String senderUU;

    /**
     * 企业名称.
     */
    @Column(name = "en_name")
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String enterprise;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Override
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Date getCustomsTime() {
        return customsTime;
    }

    public void setCustomsTime(Date customsTime) {
        this.customsTime = customsTime;
    }

    public String getCustomsStatus() {
        return customsStatus;
    }

    public void setCustomsStatus(String customsStatus) {
        this.customsStatus = customsStatus;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    @Override
    public String getReceiverUU() {
        return receiverUU;
    }

    public void setReceiverUU(String receiverUU) {
        this.receiverUU = receiverUU;
    }

    public String getSenderUU() {
        return senderUU;
    }

    public void setSenderUU(String senderUU) {
        this.senderUU = senderUU;
    }

    public String getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(String enterprise) {
        this.enterprise = enterprise;
    }

    /**
     * 出入库报关状态
     */
    public enum mainfestState{
        /**
         * 已申报
         */
        REPORTED,
        /**
         * 已放行
         */
        PASSED
    }

}
