package com.uas.platform.warehouse.backend.entity;

/**
 * Created by luhg on 2017/11/4.
 * 物料资料
 */

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.uas.platform.warehouse.backend.transport.entity.BaseVoucher;
import org.joda.time.LocalDateTime;

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name = "product")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class Product extends BaseVoucher {
    @Id
    @GeneratedValue
    @Column(name = "id")
    @JsonIgnore
    private long id;

    /**
     * 料号
     */
    @Column(name = "pn")
    private String pn;

    /**
     * 物料规格
     */
    @Column(name = "spec")
    private String spec;

    /**
     * 原厂型号
     */
    @Column(name = "original_spec")
    private String originalSpec;

    /**
     * 最小包装
     */
    @Column(name = "moq")
    private long moq;

    /**
     * 物料种类
     */
    @Column(name = "matkl")
    private String matkl;

    /**
     * 物料描述
     */
    @Column(name = "matkx")
    private String matkx;

    /**
     * 品牌
     */
    @Column(name = "brand")
    private String brand;

    /**
     * 净重
     */
    @Column(name = "outerboxnw")
    private double outerboxnw;

    /**
     * 单位
     */
    @Column(name = "uom")
    private String uom;

    /**
     * 采购员编号
     */
    @Column(name = "buyer_code")
    private String buyerCode;

    /**
     * 采购员姓名
     */
    @Column(name = "buyer_name")
    private String buyerName;

    /**
     * 备注.
     */
    @Column(name = "remark",columnDefinition = "TEXT")
    private String remark;

    public Product() {
    }

    public String getOriginalSpec() {
        return originalSpec;
    }

    public void setOriginalSpec(String originalSpec) {
        this.originalSpec = originalSpec;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getPn() {
        return pn;
    }

    public void setPn(String pn) {
        this.pn = pn;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public long getMoq() {
        return moq;
    }

    public void setMoq(long moq) {
        this.moq = moq;
    }

    public String getMatkl() {
        return matkl;
    }

    public void setMatkl(String matkl) {
        this.matkl = matkl;
    }

    public String getMatkx() {
        return matkx;
    }

    public void setMatkx(String matkx) {
        this.matkx = matkx;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public double getOuterboxnw() {
        return outerboxnw;
    }

    public void setOuterboxnw(double outerboxnw) {
        this.outerboxnw = outerboxnw;
    }

    public String getUom() {
        return uom;
    }

    public void setUom(String uom) {
        this.uom = uom;
    }

    public String getBuyerCode() {
        return buyerCode;
    }

    public void setBuyerCode(String buyerCode) {
        this.buyerCode = buyerCode;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

}
