package com.uas.platform.warehouse.backend.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.uas.platform.warehouse.backend.transport.entity.BaseReply;

import javax.persistence.*;

/**
 * 物料报关信息
 * @Author liujw
 * @Date 2017/12/13 16:50
 */
@Entity
@Table(name = "mainfest")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class ProductMainfest extends BaseReply {

    @Id
    @GeneratedValue
    @Column(name = "id")
    @JsonIgnore
    private long id;

    /**
     *物料编号
     */
    @Column(name = "code")
    private String code;

    /**
     *海关编码
     */
    @Column(name = "custocode")
    private String custoCode;

    /**
     * 申报要素
     */
    @Column(name = "customselement")
    private String customsElement;

    /**
     * 原产国
     */
    @Column(name = "origincountry")
    private String originCountry;

    /**
     * 币别
     */
    @Column(name = "currency")
    private String currency;

    /**
     *征免
     */
    @Column(name = "customsexemption")
    private String customsExemption;

    /**
     * 备注信息
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 数据类型.
     */
    @Column(name = "type")
    private String type;

    /**
     * 接收方UU.
     */
    @Column(name = "receiver_uu")
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String receiverUU;

    /**
     * 发送方UU.
     */
    @Column(name = "sender_uu")
    private String senderUU;

    /**
     * 企业名称.
     */
    @Column(name = "en_name")
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String enterprise;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCustoCode() {
        return custoCode;
    }

    public void setCustoCode(String custoCode) {
        this.custoCode = custoCode;
    }

    public String getCustomsElement() {
        return customsElement;
    }

    public void setCustomsElement(String customsElement) {
        this.customsElement = customsElement;
    }

    public String getOriginCountry() {
        return originCountry;
    }

    public void setOriginCountry(String originCountry) {
        this.originCountry = originCountry;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getCustomsExemption() {
        return customsExemption;
    }

    public void setCustomsexEmption(String customsExemption) {
        this.customsExemption = customsExemption;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public String getReceiverUU() {
        return receiverUU;
    }

    public void setReceiverUU(String receiverUU) {
        this.receiverUU = receiverUU;
    }

    public String getSenderUU() {
        return senderUU;
    }

    public void setSenderUU(String senderUU) {
        this.senderUU = senderUU;
    }

    public String getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(String enterprise) {
        this.enterprise = enterprise;
    }
}
