package com.uas.platform.warehouse.backend.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import org.joda.time.LocalDateTime;

import javax.persistence.*;
import java.util.Date;

/**
 * Author liujw
 * Date 2018/1/8 19:13
 */
@Entity
@Table(name = "status")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class Status {
    @Id
    @GeneratedValue
    @Column(name = "id")
    @JsonIgnore
    private long id;
    /**
     * 单据ID
     */
    @Column(name = "bill_id")
    private String billId;

    /**
     * 状态
     */
    @Column(name = "bill_status")
    private BillStatus billStatus;

    /**
     * 回复时间
     */
    @Column(name = "reply_time")
    private Date replyTime = LocalDateTime.now().toDate();

    /**
     * 备注
     */
    @Column(name="remark")
    private String remark;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getBillId() {
        return billId;
    }

    public void setBillId(String billId) {
        this.billId = billId;
    }

    public BillStatus getBillStatus() {
        return billStatus;
    }

    public void setBillStatus(BillStatus billStatus) {
        this.billStatus = billStatus;
    }

    public Date getReplyTime() {
        return replyTime;
    }

    public void setReplyTime(Date replyTime) {
        this.replyTime = replyTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public enum BillStatus{
    /**
     * 已获取
     */
    OK,

    /**
     * 未获取成功
     */
    ERROR
    }
}
