package com.uas.platform.warehouse.backend.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.uas.platform.warehouse.core.util.JacksonUtils;
import org.joda.time.LocalDateTime;

import javax.persistence.*;
import java.util.Date;

/**
 * 入库单明细
 * Created by luhg on 2017/11/1.
 */
@Entity
@Table(name = "stockin_detail")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class StockinDetail {
    @Id
    @GeneratedValue
    @Column(name = "id")
    @JsonIgnore
    private Long id;

    /**
     * 入库单号.
     */
    @Column(name = "asn_no")
    private String asnNo;

    /**
     * 入库单行号.
     */
    @Column(name = "asn_line_no")
    private String asnLineNo;

    /**
     * 物料号.
     */
    @Column(name = "pn")
    private String pn;

    /**
     * 入库数量.
     */
    @Column(name = "in_qty")
    private int qty;

    /**
     * 单价.
     */
    @Column(name = "unit_price")
    private double unitPrice;

    /**
     * 批号.
     */
    @Column(name = "batchcode")
    private String batchCode;


    /**
     * 备用字段1.spec
     */
    @Column(name = "attribute1",columnDefinition = "TEXT")
    private String attribute1;

    /**
     * 备用字段2.moq
     */
    @Column(name = "attribute2",columnDefinition = "TEXT")
    private String attribute2;

    /**
     * 备用字段3.matkl
     */
    @Column(name = "attribute3",columnDefinition = "TEXT")
    private String attribute3;

    /**
     * 备用字段4.barnd
     */
    @Column(name = "attribute4",columnDefinition = "TEXT")
    private String attribute4;

    /**
     * 备用字段5.uom
     */
    @Column(name = "attribute5",columnDefinition = "TEXT")
    private String attribute5;

    /**
     * 备用字段6.originalSpec
     */
    @Column(name = "attribute6",columnDefinition = "TEXT")
    private String attribute6;

    /**
     * 备用字段7.
     */
    @Column(name = "attribute7",columnDefinition = "TEXT")
    private String attribute7;

    /**
     * 操作时间
     */
    @Column(name = "operate_time")
    @JsonIgnore
    private Date operateTime = LocalDateTime.now().toDate();

    public StockinDetail() {
    }

    public String getAttribute4() {
        return attribute4;
    }

    public void setAttribute4(String attribute4) {
        this.attribute4 = attribute4;
    }

    public String getAttribute5() {
        return attribute5;
    }

    public void setAttribute5(String attribute5) {
        this.attribute5 = attribute5;
    }

    public String getAttribute6() {
        return attribute6;
    }

    public void setAttribute6(String attribute6) {
        this.attribute6 = attribute6;
    }

    public String getAttribute7() {
        return attribute7;
    }

    public void setAttribute7(String attribute7) {
        this.attribute7 = attribute7;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAsnNo() {
        return asnNo;
    }

    public void setAsnNo(String asnNo) {
        this.asnNo = asnNo;
    }

    public String getAsnLineNo() {
        return asnLineNo;
    }

    public void setAsnLineNo(String asnLineNo) {
        this.asnLineNo = asnLineNo;
    }

    public String getPn() {
        return pn;
    }

    public void setPn(String pn) {
        this.pn = pn;
    }

    public int getQty() {
        return qty;
    }

    public void setQty(int qty) {
        this.qty = qty;
    }

    public double getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(double unitPrice) {
        this.unitPrice = unitPrice;
    }

    public String getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }

    @Override
    public String toString() {
        return JacksonUtils.toJson(this);
    }

    public Date getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(Date operateTime) {
        this.operateTime = operateTime;
    }
}