package com.uas.platform.warehouse.backend.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.uas.platform.warehouse.backend.transport.entity.BaseVoucher;
import com.uas.platform.warehouse.core.util.JacksonUtils;
import org.joda.time.LocalDateTime;

import javax.persistence.*;
import java.util.Date;
import java.util.List;

/**
 * Created by luhg on 2017/11/3.
 *  调拨单
 */
@Entity
@Table(name = "transfer")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class Transfer  extends BaseVoucher {
    @Id
    @GeneratedValue
    @Column(name = "id")
    @JsonIgnore
    private long id;

    /**
     * 调拨单号.
     */
    @Column(name = "tran_no")
    private String tranNo;

    /**
     * 调拨类型.
     */
    @Column(name = "tran_type")
    private String tranType;

    /**
     * 日期.
     */
    @Column(name = "predate")
    private Date predate;

    /**
     * 录入人.
     */
    @Column(name = "operator")
    private String operator;

    /**
     * 录入人UU.
     */
    @Column(name = "operator_uu")
    private String operatorUU;


    /**
     * 备注.
     */
    @Column(name = "remark",columnDefinition = "TEXT")
    private String remark;

    /**
     * 调拨单明细.
     */
    @OneToMany(cascade = CascadeType.ALL, fetch = FetchType.EAGER)
    @JoinColumn(name = "transfer_id")
    private List<TransferDetail> details;

    public Transfer() {
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getTranNo() {
        return tranNo;
    }

    public void setTranNo(String tranNo) {
        this.tranNo = tranNo;
    }

    public String getTranType() {
        return tranType;
    }

    public void setTranType(String tranType) {
        this.tranType = tranType;
    }

    public Date getPredate() {
        return predate;
    }

    public void setPredate(Date predate) {
        this.predate = predate;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getOperatorUU() {
        return operatorUU;
    }

    public void setOperatorUU(String operatorUU) {
        this.operatorUU = operatorUU;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<TransferDetail> getDetails() {
        return details;
    }

    public void setDetails(List<TransferDetail> details) {
        this.details = details;
    }

    @Override
    public String toString() {
        return JacksonUtils.toJson(this);
    }
}
