package com.uas.platform.warehouse.backend.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.uas.platform.warehouse.core.util.JacksonUtils;
import org.joda.time.LocalDateTime;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by luhg on 2017/11/3.
 * 调拨单明细
 */
@Entity
@Table(name = "transfer_detail")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class TransferDetail {
    @Id
    @GeneratedValue
    @Column(name = "id")
    @JsonIgnore
    private Long id;

    /**
     * 调拨单号.
     */
    @Column(name = "tran_no")
    private String tranNo;

    /**
     * 调拨单行号.
     */
    @Column(name = "tran_line_no")
    private String tranLineNo;

    /**
     * 调拨数量.
     */
    @Column(name="qty")
    private long qty;

    /**
     * 料号
     */
    @Column(name="pn")
    private String pn;

    /**
     * 起始库位.
     */
    @Column(name="from_location")
    private String fromLocation;

    /**
     * 目标库位
     */
    @Column(name="to_location")
    private String toLocation;

    /**
     * 批号.
     */
    @Column(name = "batchcode")
    private String batchCode;

    /**
     * 备用字段1.
     */
    @Column(name = "attribute1",columnDefinition = "TEXT")
    private String attribute1;

    /**
     * 备用字段2.
     */
    @Column(name = "attribute2",columnDefinition = "TEXT")
    private String attribute2;

    /**
     * 备用字段3.
     */
    @Column(name = "attribute3",columnDefinition = "TEXT")
    private String attribute3;

    /**
     * 操作时间
     */
    @Column(name = "operate_time")
    @JsonIgnore
    private Date operateTime = LocalDateTime.now().toDate();

    public TransferDetail() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTranNo() {
        return tranNo;
    }

    public void setTranNo(String tranNo) {
        this.tranNo = tranNo;
    }

    public String getTranLineNo() {
        return tranLineNo;
    }

    public void setTranLineNo(String tranLineNo) {
        this.tranLineNo = tranLineNo;
    }

    public long getQty() {
        return qty;
    }

    public void setQty(long qty) {
        this.qty = qty;
    }

    public String getPn() {
        return pn;
    }

    public void setPn(String pn) {
        this.pn = pn;
    }

    public String getFromLocation() {
        return fromLocation;
    }

    public void setFromLocation(String fromLocation) {
        this.fromLocation = fromLocation;
    }

    public String getToLocation() {
        return toLocation;
    }

    public void setToLocation(String toLocation) {
        this.toLocation = toLocation;
    }

    public String getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }

    @Override
    public String toString() {
        return JacksonUtils.toJson(this);
    }

    public Date getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(Date operateTime) {
        this.operateTime = operateTime;
    }
}
