package com.uas.platform.warehouse.backend.service;

import com.uas.platform.warehouse.backend.entity.ErrorLog;

/**
 * Created by luhg on 2017/11/8.
 */
public interface CommonService {
    /**
     * 物料资料.
     * @param data
     * @return
     */
    boolean doProduct(String data);

    /**
     * 异常信息处理.
     * @param type
     * @param receiverUu
     * @param data
     * @param message
     */
    void saveErrorLogInfo(ErrorLog.LogType type, String receiverUu, String data, String message);

    /**
     * 调拨单处理.
     * @param data
     * @return
     */
    boolean doTransfer(String data);

    /**
     * 回复信息处理.
     * @param data
     * @return
     */
    boolean doNormalReply(String data);

    /**
     * 出货单处理.
     * @param data
     * @return
     */
    boolean doShipment(String data);

    /**
     * 入库单处理.
     * @param data
     * @return
     */
    boolean doStockin(String data);

    /**
     * 包装单处理.
     * @param data
     * @return
     */
    boolean doPacking(String data);

    /**
     * 发票处理.
     * @param data
     * @return
     */
    boolean doInvoice(String data);

    /**
     * 包装单回复处理.
     * @param data
     * @return
     */
    boolean doPackingReply(String data);

    /**
     * 发票回复处理.
     * @param data
     * @return
     */
    boolean doInvoiceReply(String data);

    /**
     * 出入库报关回复处理.
     * @param data
     * @return
     */
    boolean doProdioMainfestReply(String data);

    /**
     * 物料报关处理.
     * @param data
     * @return
     */
    boolean doProductMainfestReply(String data);

    /**
     * 费用回传处理.
     * @param data
     * @return
     */
    boolean doFeeReply(String data);
}
