package com.uas.platform.warehouse.online;

import com.uas.platform.warehouse.online.util.ContextUtils;
import org.springframework.boot.Banner.Mode;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.context.event.ApplicationPreparedEvent;
import org.springframework.context.ApplicationListener;

/**
 * Online application entry.
 *
 * @author huxz
 */
@SpringBootApplication
public class OnlineApplication {

  /**
   * program entry.
   *
   * @param args  Command Line Arguments
   */
  public static void main(String[] args) {
    new SpringApplicationBuilder(OnlineApplication.class)
            .bannerMode(Mode.OFF)
            .web(true)
            .listeners(new ApplicationListener<ApplicationPreparedEvent>() {
              @Override
              public void onApplicationEvent(ApplicationPreparedEvent event) {
                ContextUtils.setApplicationContext(event.getApplicationContext());
              }
            })
            .run(args);
  }
}
