package com.uas.platform.warehouse.online.api;

import com.uas.platform.warehouse.core.common.ResultBean;
import com.uas.platform.warehouse.online.entity.AppAuthentication;
import com.uas.platform.warehouse.online.service.ApplicationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Http interface for applying for app key.
 *
 * @author huxz
 */
@RestController
@RequestMapping(path = "/api/warehouse/application")
public class ApplicationController {

  private final ApplicationService applicationService;

  @Autowired
  public ApplicationController(
      ApplicationService applicationService) {
    this.applicationService = applicationService;
  }

  /**
   * Create app authentication record when admin agrees.
   *
   * @param authentication  app authentication info
   * @return  response result
   */
  @PostMapping(path = "//authentication", produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
  public ResultBean<AppAuthentication> createAuthenticationWhenAgree(
      @RequestBody AppAuthentication authentication) {
    return new ResultBean<>(applicationService.createAuthenticationWhenAgree(authentication));
  }
}
