package com.uas.platform.warehouse.online.dao;

import com.uas.platform.warehouse.online.entity.AppAuthentication;
import com.uas.platform.warehouse.online.entity.AppAuthentication.IdentificationType;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * Abstract interface for app authentication operations.
 *
 * @author huxz
 */
@Repository
public interface AppAuthenticationDao extends JpaRepository<AppAuthentication, Long> {

  /**
   * Find app authentication by enterprise UU and id type.
   *
   * @param enUu  enterprise uu
   * @param type  id type
   * @return  app authentication if exists
   */
  AppAuthentication findByEnUuAndType(String enUu, IdentificationType type);

  AppAuthentication findByEnUu(String enUu);
}
