package com.uas.platform.warehouse.online.entity;

/**
 * Created by luhg on 2017/11/1.
 */

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.uas.platform.warehouse.core.util.JacksonUtils;

import javax.persistence.*;
import java.util.Date;
import java.util.List;

/**
 * 入库单信息.
 *
 * @author huxz
 */
@Entity
@Table(name = "stockin")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class Stockin  extends BaseVoucher {
    @Id
    @GeneratedValue
    @Column(name = "id")
    @JsonIgnore
    private long id;

    /**
     * 入库库位.
     */
    @Column(name = "location")
    private String location;

    /**
     * 入库单号.
     */
    @Column(name = "asn_no")
    private String asnNo;

    /**
     * 入库类型.
     */
    @Column(name = "asn_type")
    private String asnType;

    /**
     * 日期.
     */
    @Column(name = "predate")
    private Date predate;

    /**
     * 币别.
     */
    @Column(name = "currency")
    private String cur;

    /**
     * 录入人.
     */
    @Column(name = "operator")
    private String operator;

    /**
     * 录入人.
     */
    @Column(name = "operator_uu")
    private String operatorUU;

    /**
     * 备注.
     */
    @Column(name = "remark",columnDefinition = "TEXT")
    private String remark;

    /**
     * 入库单明细.
     */
    @OneToMany(cascade = CascadeType.ALL, fetch = FetchType.EAGER)
    @JoinColumn(name = "stockin_id")
    private List<StockinDetail> details;

    public Stockin() {
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getAsnNo() {
        return asnNo;
    }

    public void setAsnNo(String asnNo) {
        this.asnNo = asnNo;
    }

    public String getAsnType() {
        return asnType;
    }

    public void setAsnType(String asnType) {
        this.asnType = asnType;
    }

    public Date getPredate() {
        return predate;
    }

    public void setPredate(Date predate) {
        this.predate = predate;
    }

    public String getCur() {
        return cur;
    }

    public void setCur(String cur) {
        this.cur = cur;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getOperatorUU() {
        return operatorUU;
    }

    public void setOperatorUU(String operatorUU) {
        this.operatorUU = operatorUU;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<StockinDetail> getDetails() {
        return details;
    }

    public void setDetails(List<StockinDetail> details) {
        this.details = details;
    }

    @Override
    public String toString() {
        return JacksonUtils.toJson(this);
    }
}
