package com.uas.platform.warehouse.online.profile;

import com.uas.account.web.AccountConfigurer;
import com.uas.platform.warehouse.online.OnlineApplication;
import com.uas.platform.warehouse.online.util.ContextUtils;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;


/**
 * SSOconfig 配置
 *
 * @author hejq
 */
@Configuration
public class SSOConfiguration extends WebMvcConfigurerAdapter {


    @Override
    public void addInterceptors(InterceptorRegistry registry) {
//        /**
//         * 拦截器配置
//         */
//        registry.addInterceptor(new SSOInterceptor()).addPathPatterns("/**").
//                excludePathPatterns("/WEB-INF/**","/**/static/**", "/login/**", "/logout/**");
    }

    @Bean
    @Dev
    public AccountConfigurer devAccountConfigurer() {
        return accountConfigurer("dev");
    }

    @Bean
    @Test
    public AccountConfigurer testAccountConfigurer() {
        return accountConfigurer("test");
    }

    @Bean
    @Prod
    public AccountConfigurer prodAccountConfigurer() {
        return accountConfigurer("prod");
    }

    /**
     * 获取当前环境下的配置
     *
     * @param profile
     * @return
     */
    private AccountConfigurer accountConfigurer(String profile) {
        AccountConfigurer accountConfigurer = new AccountConfigurer("classpath:" + profile + "/account.properties");
        accountConfigurer.setApplicationContext(ContextUtils.getApplicationContext());
        accountConfigurer.init();
        return accountConfigurer;
    }

}
