(function (document, angular) {
  angular.module('app')
    .controller('AdminController', AdminController);

  function AdminController($http) {

    var self = this;
    self.isProvider = false;
    self.authentication = {};

    self.result = { enabled: false };

    self.initialAuthentication = initialAuthentication;
    self.submitAudit = submitAudit;
    
    function initialAuthentication() {
      if (self.isProvider) {
        delete self.authentication.enName;
      } else {
        delete self.authentication.whName;
      }
    }
    
    function submitAudit() {
      console.log(self.authentication);
      self.result = { enabled: false };

      try {
        notBlank(self.authentication.enUu, '企业UU不能为空');
        if (self.isProvider) {
          notBlank(self.authentication.whName, '仓储服务商名称不能为空');

          self.authentication.type = 'WAREHOUSE_PROVIDER';
        } else {
          notBlank(self.authentication.enName, '企业名称不能为空');

          self.authentication.type = 'ENTERPRISE_USER';
        }

        console.log(self.authentication);

        var params = angular.copy(self.authentication);
        console.log($http);
        $http({
          method: 'POST',
          url: 'api/warehouse/application//authentication',
          data: params
        }).then(function (response) {
          console.log(response);
          if (response.data && response.data.success) {
            self.authentication = {};

            var result = response.data.data;
            self.result.enabled = true;
            self.result.appKey = result.appKey;
            self.result.secretKey = result.secretKey;

            console.log(self.result);

            alert('注册成功');
          } else {
            alert(response.data.message);
          }
        }, function (error) {
          console.log(error);
          if (error.data) {
            alert(error.data.message);
          } else {
            alert(error.status + ":" + error.statusText);
          }
        });
      } catch (e){
        alert(e);
      }
    }
  }
  
  function notBlank(argument, message) {
    if (argument === undefined || argument === null || argument === '') {
      throw message;
    }
  }

})(document, angular);
