package com.uas.platform.warehouse.backend.transport.auth.dao;

import com.uas.platform.warehouse.backend.transport.auth.entity.AppAuthentication;
import com.uas.platform.warehouse.backend.transport.auth.entity.AppAuthentication.IdentificationType;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * Abstract interface for app authentication operations.
 *
 * @author huxz
 */
@Repository
public interface AppAuthenticationDao extends JpaRepository<AppAuthentication, Long> {

  /**
   * Find app authentication by enterprise UU and id type.
   *
   * @param enUu  enterprise uu
   * @param type  id type
   * @return  app authentication if exists
   */
  AppAuthentication findByEnUuAndType(String enUu, IdentificationType type);

  /**
   * Find app authentication by app key.
   *
   * @param appKey  the key of app
   * @return  app authentication if exists
   */
  AppAuthentication findByAppKey(String appKey);
}
