package com.uas.platform.warehouse.backend.transport.auth.service.impl;

import com.uas.platform.warehouse.backend.transport.auth.dao.AppAuthenticationDao;
import com.uas.platform.warehouse.backend.transport.auth.entity.AppAuthentication;
import com.uas.platform.warehouse.backend.transport.auth.service.AppAuthenticationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Java Bean implementations of {@code AppAuthenticationDao}.
 *
 * @author huxz
 */
@Service
public class AppAuthenticationServiceImpl implements AppAuthenticationService {

  private final AppAuthenticationDao authenticationDao;

  @Autowired
  public AppAuthenticationServiceImpl(
      AppAuthenticationDao authenticationDao) {
    this.authenticationDao = authenticationDao;
  }

  @Override
  public AppAuthentication loadAuthenticationByAppKey(String appKey) {
    return authenticationDao.findByAppKey(appKey);
  }
}
