package com.uas.platform.warehouse.backend.transport.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.uas.platform.warehouse.core.domain.VoucherType;
import com.uas.platform.warehouse.core.util.JacksonUtils;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

/**
 * Store notifications of voucher from enterprise user.
 *
 * @author huxz
 */
@JsonInclude(Include.NON_EMPTY)
@Document(collection = "NotificationData")
public class Notification extends CommonInfo {

  /**
   * Primary key.
   */
  @Id
  private String id;

  /**
   * Voucher info.
   */
  private BaseVoucher voucher;

  /**
   * Record type of voucher.
   */
  @Field(value = "voucherType")
  private String type;

  /**
   * RecevierUu.
   */
  @Field(value = "receiverUU")
  private String receiverUU;

  public Notification() {
  }

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public BaseVoucher getVoucher() {
    return voucher;
  }

  public void setVoucher(BaseVoucher voucher) {
    this.voucher = voucher;
  }

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  @Override
  public String toString() {
    return JacksonUtils.toJson(this);
  }

  public String getReceiverUU() {
    return receiverUU;
  }

  public void setReceiverUU(String receiverUU) {
    this.receiverUU = receiverUU;
  }
}
