package com.uas.platform.warehouse.backend.transport.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.uas.platform.warehouse.core.domain.VoucherType;
import com.uas.platform.warehouse.core.util.JacksonUtils;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

/**
 * Store PostBack from warehouse provider.
 *
 * @author huxz
 */
@JsonInclude(Include.NON_EMPTY)
@Document(collection = "PostBack")
public class PostBack extends CommonInfo {

  /**
   * Primary key.
   */
  @Id
  private String id;

  /**
   * Post back info.
   */
  private BaseReply reply;

  /**
   * Record type of voucher.
   */
  @Field(value = "voucherType")
  private String type;

  /**
   * RecevierUu.
   */
  @Field(value = "receiverUU")
  private String receiverUU;

  public PostBack() {
  }

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public BaseReply getReply() {
    return reply;
  }

  public void setReply(BaseReply reply) {
    this.reply = reply;
  }

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public String getReceiverUU() {
    return receiverUU;
  }

  public void setReceiverUU(String receiverUU) {
    this.receiverUU = receiverUU;
  }

  @Override
  public String toString() {
    return JacksonUtils.toJson(this);
  }
}
