package com.uas.platform.warehouse.backend.transport.service;

import com.uas.platform.warehouse.backend.transport.entity.BaseReply;
import com.uas.platform.warehouse.backend.transport.entity.BaseVoucher;
import com.uas.platform.warehouse.backend.transport.entity.PostBack;
import com.uas.platform.warehouse.backend.transport.entity.Status;
import com.uas.platform.warehouse.core.domain.VoucherType;
import java.util.List;
import org.springframework.data.domain.Pageable;

/**
 * Abstract interface for methods of pulling data from server.
 *
 * @author huxz
 */
public interface PullDataService {

  /**
   * Gain specific notification from enterprise customer by pagination.
   *
   * @param pageInfo  pagination info
   * @return  list of voucher
   */
  List<BaseVoucher> gainNotificationFromEnterprise(Pageable pageInfo);

  /**
   * Gain specific post back from warehouse by pagination.
   *
   * @param type  voucher type
   * @param pageInfo  pagination info
   * @return  list of post back
   */
  List<BaseReply> gainReplyNotice(VoucherType type, Pageable pageInfo);

  /**
   * 更新状态
   */
  public boolean updateStatus(Status status);
}
