package com.uas.platform.warehouse.backend.transport.util;

import com.uas.platform.warehouse.backend.transport.auth.entity.AppAuthentication;

/**
 * Save AppAuthentication to ThreadLocal, and manage it.
 *
 * @author huxz
 */
public class AuthenticationUtil {

  private static final ThreadLocal<AppAuthentication> AUTHENTICATION = new ThreadLocal<>();

  public static void setAuthentication(AppAuthentication authentication) {
    AUTHENTICATION.set(authentication);
  }

  public static AppAuthentication getAuthentication() {
    return AUTHENTICATION.get();
  }

  public static void removeAuthentication() {
    AUTHENTICATION.remove();
  }
}
