package com.uas.platform.warehouse.tools.domain;

import com.uas.platform.warehouse.core.util.JacksonUtils;
import java.io.Serializable;

/**
 * Abstract Java Bean implementation for {@code Voucher}.
 *
 * @author huxz
 */
public abstract class AbstractVoucher implements Voucher, Serializable {

  private static final long serialVersionUID = 3907653425312837953L;

  /**
   * 接收方UU
   */
  private String receiverUU;

  /**
   * 发送方UU
   */
  private String senderUU;

  /**
   * 企业名称
   */
  private String enterprise;

  /**
   * 备用字段1.
   */
  private String attribute1;

  /**
   * 备用字段2.
   */
  private String attribute2;

  /**
   * 备用字段3.
   */
  private String attribute3;

  @Override
  public String toString() {
    return JacksonUtils.toJson(this);
  }

  public String getReceiverUU() {
    return receiverUU;
  }

  public void setReceiverUU(String receiverUU) {
    this.receiverUU = receiverUU;
  }

  public String getSenderUU() {
    return senderUU;
  }

  public void setSenderUU(String senderUU) {
    this.senderUU = senderUU;
  }

  public String getEnterprise() {
    return enterprise;
  }

  public void setEnterprise(String enterprise) {
    this.enterprise = enterprise;
  }

  public String getAttribute1() {
    return attribute1;
  }

  public void setAttribute1(String attribute1) {
    this.attribute1 = attribute1;
  }

  public String getAttribute2() {
    return attribute2;
  }

  public void setAttribute2(String attribute2) {
    this.attribute2 = attribute2;
  }

  public String getAttribute3() {
    return attribute3;
  }

  public void setAttribute3(String attribute3) {
    this.attribute3 = attribute3;
  }
}
