package com.uas.platform.warehouse.tools.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.joda.time.LocalDateTime;

import java.util.Date;

/**
 * @Author liujw
 * @Date 2017/12/19 13:59
 */
public class Fee {

    @JsonIgnore
    private long id;

    /**
     *出入库单单据编号
     */
    private String code;

    /**
     * 费用产生时间
     */
    private Date feeGentime;

    /**
     * 费用名称
     */
    private String feeName;

    /**
     *费用金额
     */
    private double feeAmount;

    /**
     * 币别
     */
    private String feeCurrency;

    /**
     *备注信息
     */
    private String remark;

    /**
     * 时间
     */
    private Date date_= LocalDateTime.now().toDate();

    /**
     * 数据类型
     */
    private String type;

    /**
     * 接收方UU.
     */
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String receiverUU;

    /**
     * 发送方UU.
     */
    private String senderUU;

    /**
     * 企业名称.

     */
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String enterprise;

    public String getReceiverUU() {
        return receiverUU;
    }

    public void setReceiverUU(String receiverUU) {
        this.receiverUU = receiverUU;
    }

    public String getSenderUU() {
        return senderUU;
    }

    public void setSenderUU(String senderUU) {
        this.senderUU = senderUU;
    }

    public String getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(String enterprise) {
        this.enterprise = enterprise;
    }



    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Date getDate_() {
        return date_;
    }

    public void setDate_(Date date_) {
        this.date_ = date_;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Date getFeeGentime() {
        return feeGentime;
    }

    public void setFeeGentime(Date feeGentime) {
        this.feeGentime = feeGentime;
    }

    public String getFeeName() {
        return feeName;
    }

    public void setFeeName(String feeName) {
        this.feeName = feeName;
    }

    public double getFeeAmount() {
        return feeAmount;
    }

    public void setFeeAmount(double feeAmount) {
        this.feeAmount = feeAmount;
    }

    public String getFeeCurrency() {
        return feeCurrency;
    }

    public void setFeeCurrency(String feeCurrency) {
        this.feeCurrency = feeCurrency;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

}
