package com.uas.platform.warehouse.tools.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.Date;
import java.util.List;

/**
 * Created by luhg on 2017/11/28.
 * 发票
 */
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class Invoice  extends AbstractVoucher{
    @JsonIgnore
    private long id;

    /**
     * 单号
     */
    private String invoiceNo;

    /**
     * 发票日期
     */
    private Date invoiceDate;

    /**
     * 客户名称
     */
    private String custName;

    /**
     * 客户编号
     */
    private String custCode;

    /**
     * 客户UU
     */
    private String custUU;

    /**
     * 录入人
     */
    private String operator;

    /**
     * 录入人UU
     */
    private String operatorUU;

    /**
     * 送货地址
     */
    private String custAddress;

    /**
     * 客户联系人
     */
    private String custContact;

    /**
     * 客户电话
     */
    private String custTel;

    /**
     * 客户传真
     */
    private String custFax;

    /**
     * 部门
     */
    private String depart;

    /**
     * 营业员
     */
    private String seller;

    /**
     * 付款条款
     */
    private String payment;

    /**
     * 发票要求
     */
    private String invoiceRemark;

    /**
     * 备注
     */
    private String remark;

    /**
     * madein
     */
    private String madein;

    /**
     * 抬头单位客户名称
     */
    private String headName;

    /**
     * 抬头单位联系人
     */
    private String headContact;

    /**
     * 抬头单位备注
     */
    private String headRemark;

    /**
     * 类型，标识是入库还是出货还是其他类型的数据.
     */
    private String type = "invoice";

    /**
     * 发票明细.
     */
    private List<InvoiceDetail> details;

    public Invoice(){
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public Date getInvoiceDate() {
        return invoiceDate;
    }

    public void setInvoiceDate(Date invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getCustCode() {
        return custCode;
    }

    public void setCustCode(String custCode) {
        this.custCode = custCode;
    }

    public String getCustUU() {
        return custUU;
    }

    public void setCustUU(String custUU) {
        this.custUU = custUU;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getOperatorUU() {
        return operatorUU;
    }

    public void setOperatorUU(String operatorUU) {
        this.operatorUU = operatorUU;
    }

    public String getCustAddress() {
        return custAddress;
    }

    public void setCustAddress(String custAddress) {
        this.custAddress = custAddress;
    }

    public String getCustContact() {
        return custContact;
    }

    public void setCustContact(String custContact) {
        this.custContact = custContact;
    }

    public String getCustTel() {
        return custTel;
    }

    public void setCustTel(String custTel) {
        this.custTel = custTel;
    }

    public String getCustFax() {
        return custFax;
    }

    public void setCustFax(String custFax) {
        this.custFax = custFax;
    }

    public String getDepart() {
        return depart;
    }

    public void setDepart(String depart) {
        this.depart = depart;
    }

    public String getSeller() {
        return seller;
    }

    public void setSeller(String seller) {
        this.seller = seller;
    }

    public String getPayment() {
        return payment;
    }

    public void setPayment(String payment) {
        this.payment = payment;
    }

    public String getInvoiceRemark() {
        return invoiceRemark;
    }

    public void setInvoiceRemark(String invoiceRemark) {
        this.invoiceRemark = invoiceRemark;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<InvoiceDetail> getDetails() {
        return details;
    }

    public void setDetails(List<InvoiceDetail> details) {
        this.details = details;
    }

    public String getMadein() {
        return madein;
    }

    public void setMadein(String madein) {
        this.madein = madein;
    }

    public String getHeadName() {
        return headName;
    }

    public void setHeadName(String headName) {
        this.headName = headName;
    }

    public String getHeadContact() {
        return headContact;
    }

    public void setHeadContact(String headContact) {
        this.headContact = headContact;
    }

    public String getHeadRemark() {
        return headRemark;
    }

    public void setHeadRemark(String headRemark) {
        this.headRemark = headRemark;
    }
}
