package com.uas.platform.warehouse.tools.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * Created by luhg on 2017/11/28.
 * 包装单明细
 */
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class InvoiceDetail {
    @JsonIgnore
    private Long id;

    /**
     * 外键id
     */
    @JsonIgnore
    private long mainid;


    /**
     * 发票号.
     */
    private String invoiceNo;

    /**
     * 行号.
     */
    private String invoiceLineNo;

    /**
     * 物料号
     */
    private String pn;

    /**
     * 物料名称
     */
    private String itemName;

    /**
     * 物料规格
     */
    private String spec;

    /**
     * 客户PO号
     */
    private String custPo;

    /**
     * 客户物料号
     */
    private String custPn;

    /**
     * 品牌
     */
    private String brand;

    /**
     * 数量
     */
    private double qty;

    /**
     * 单价
     */
    private double price;

    /**
     * 金额
     */
    private double total;

    /**
     * 明细备注
     */
    private String detailRemark;

    /**
     * 备用字段1.
     */
    private String attribute1;

    /**
     * 备用字段2.
     */
    private String attribute2;

    /**
     * 备用字段3.
     */
    private String attribute3;

    public InvoiceDetail(){
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public long getMainid() {
        return mainid;
    }

    public void setMainid(long mainid) {
        this.mainid = mainid;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getInvoiceLineNo() {
        return invoiceLineNo;
    }

    public void setInvoiceLineNo(String invoiceLineNo) {
        this.invoiceLineNo = invoiceLineNo;
    }

    public String getPn() {
        return pn;
    }

    public void setPn(String pn) {
        this.pn = pn;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public String getCustPo() {
        return custPo;
    }

    public void setCustPo(String custPo) {
        this.custPo = custPo;
    }

    public String getCustPn() {
        return custPn;
    }

    public void setCustPn(String custPn) {
        this.custPn = custPn;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public double getQty() {
        return qty;
    }

    public void setQty(double qty) {
        this.qty = qty;
    }

    public double getTotal() {
        return total;
    }

    public void setTotal(double total) {
        this.total = total;
    }

    public String getDetailRemark() {
        return detailRemark;
    }

    public void setDetailRemark(String detailRemark) {
        this.detailRemark = detailRemark;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        this.price = price;
    }
}
