package com.uas.platform.warehouse.tools.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.joda.time.LocalDateTime;

import java.util.Date;
import java.util.List;

/**
 * Created by luhg on 2017/11/28.
 * 发票回传
 */
public class InvoiceReply{
    @JsonIgnore
    private long id;

    /**
     * 单号
     */
    private String invoiceNo;

    /**
     * 数据类型.
     */
    private static String type = "invoice-reply";

    /**
     * 所属企业UU.
     */
    private String enUu;

    /**
     * warehouse name
     */
    private String whName;

    /**
     * 接收方UU
     */
    private String receiverUU;

    /**
     * 发送方UU
     */
    private String senderUU;

    /**
     * 企业名称
     */
    private String enterprise;


    /**
     * 备用字段1.
     */
    private String attribute1;

    /**
     * 备用字段2.
     */
    private String attribute2;

    /**
     * 备用字段3.
     */
    private String attribute3;

    /**
     * 明细.
     */
    private List<InvoiceReplyDetail> details;

    public InvoiceReply(){
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getEnUu() {
        return enUu;
    }

    public void setEnUu(String enUu) {
        this.enUu = enUu;
    }

    public String getWhName() {
        return whName;
    }

    public void setWhName(String whName) {
        this.whName = whName;
    }

    public String getReceiverUU() {
        return receiverUU;
    }

    public void setReceiverUU(String receiverUU) {
        this.receiverUU = receiverUU;
    }

    public String getSenderUU() {
        return senderUU;
    }

    public void setSenderUU(String senderUU) {
        this.senderUU = senderUU;
    }

    public String getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(String enterprise) {
        this.enterprise = enterprise;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }

    public List<InvoiceReplyDetail> getDetails() {
        return details;
    }

    public void setDetails(List<InvoiceReplyDetail> details) {
        this.details = details;
    }
}
