package com.uas.platform.warehouse.tools.domain;

import com.uas.platform.warehouse.core.domain.VoucherType;

import java.util.Date;

/**
 * Created by luhg on 2017/11/3.
 * 用于通用的出入库单据回复.
 */
public class NormalReply extends AbstractReply {
    /**
     * 静态常量，用于记录当前通知或回传信息所对应的单据类型，必要常量.
     */
    private VoucherType voucherType;

    /**
     * 单号.
     */
    private String no;

    /**
     * 出货回传回复类型.
     */
    public enum RespState {
        /**
         * 表示已收到
         */
        GET,
        /**
         * 表示已接单
         */
        RECEIVE,
        /**
         * 表示已到港
         */
        OUT,
        /**
         * 表示出货成功状态.
         */
        OK,
        /**
         * 表示出货失败状态.
         */
        NG
    }

    /**
     * 回复状态.
     */
    private NormalReply.RespState state;

    /**
     * 备注.
     */
    private String remark;

    /**
     * 单据类型.
     */
    private String docType;

    /**
     * 数据类型.
     */
    private String type = "reply";

    /**
     * 仓储操作人.
     */
    private String operator;

    /**
     * 接收方UU
     */
    private String receiverUU;

    /**
     * 发送方UU
     */
    private String senderUU;

    /**
     * 企业名称
     */
    private String enterprise;

    /**
     * 备用字段1.
     */
    private String attribute1;

    /**
     * 备用字段2.
     */
    private String attribute2;

    /**
     * 备用字段3.
     */
    private String attribute3;

    /**
     *物流时间
     */
    private Date logisticstime;
    /**
     * 物流地址
     */
    private String logisticsaddr;
    /**
     * 物流备注
     */
    private String logisticsremark;

    @Override
    public VoucherType getVoucherType() {
        return voucherType;
    }

    public void setVoucherType(VoucherType voucherType) {
        this.voucherType = voucherType;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public RespState getState() {
        return state;
    }

    public void setState(RespState state) {
        this.state = state;
    }

    public String getDocType() {
        return docType;
    }

    public void setDocType(String docType) {
        this.docType = docType;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    @Override
    public String getReceiverUU() {
        return receiverUU;
    }

    public void setReceiverUU(String receiverUU) {
        this.receiverUU = receiverUU;
    }

    public String getSenderUU() {
        return senderUU;
    }

    public void setSenderUU(String senderUU) {
        this.senderUU = senderUU;
    }

    public String getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(String enterprise) {
        this.enterprise = enterprise;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }

    public String getRemark() {
        return remark;
    }

    public Date getLogisticstime() {
        return logisticstime;
    }

    public void setLogisticstime(Date logisticstime) {
        this.logisticstime = logisticstime;
    }

    public String getLogisticsaddr() {
        return logisticsaddr;
    }

    public void setLogisticsaddr(String logisticsaddr) {
        this.logisticsaddr = logisticsaddr;
    }

    public String getLogisticsremark() {
        return logisticsremark;
    }

    public void setLogisticsremark(String logisticsremark) {
        this.logisticsremark = logisticsremark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
