package com.uas.platform.warehouse.tools.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.Date;
import java.util.List;

/**
 * Created by luhg on 2017/11/22.
 * 装箱单.
 */

@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class Packing extends AbstractVoucher{

    @JsonIgnore
    private long id;

    /**
     * 单号
     */
    private String packingNo;

    /**
     * 客户名称
     */
    private String custName;

    /**
     * 客户编号
     */
    private String custCode;

    /**
     * 客户UU
     */
    private String custUU;

    /**
     * 录入人
     */
    private String operator;

    /**
     * 录入人UU
     */
    private String operatorUU;

    /**
     * 送货地址
     */
    private String custAddress;

    /**
     * 客户联系人
     */
    private String custContact;

    /**
     * 客户电话
     */
    private String custTel;

    /**
     * 客户传真
     */
    private String custFax;

    /**
     * 部门
     */
    private String depart;

    /**
     * 营业员
     */
    private String seller;

    /**
     * 包装单日期
     */
    private Date packingDate;

    /**
     * 装箱要求
     */
    private String packingRemark;

    /**
     * 备注
     */
    private String remark;

    /**
     * 类型，标识是入库还是出货还是其他类型的数据.
     */
    private String type = "packing";

    /**
     * 包装单明细.
     */
    private List<PackingDetail> details;

    public Packing() {
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getPackingNo() {
        return packingNo;
    }

    public void setPackingNo(String packingNo) {
        this.packingNo = packingNo;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getCustCode() {
        return custCode;
    }

    public void setCustCode(String custCode) {
        this.custCode = custCode;
    }

    public String getCustUU() {
        return custUU;
    }

    public void setCustUU(String custUU) {
        this.custUU = custUU;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getOperatorUU() {
        return operatorUU;
    }

    public void setOperatorUU(String operatorUU) {
        this.operatorUU = operatorUU;
    }

    public String getCustAddress() {
        return custAddress;
    }

    public void setCustAddress(String custAddress) {
        this.custAddress = custAddress;
    }

    public String getCustContact() {
        return custContact;
    }

    public void setCustContact(String custContact) {
        this.custContact = custContact;
    }

    public String getCustTel() {
        return custTel;
    }

    public void setCustTel(String custTel) {
        this.custTel = custTel;
    }

    public String getCustFax() {
        return custFax;
    }

    public void setCustFax(String custFax) {
        this.custFax = custFax;
    }

    public String getDepart() {
        return depart;
    }

    public void setDepart(String depart) {
        this.depart = depart;
    }

    public String getSeller() {
        return seller;
    }

    public void setSeller(String seller) {
        this.seller = seller;
    }

    public Date getPackingDate() {
        return packingDate;
    }

    public void setPackingDate(Date packingDate) {
        this.packingDate = packingDate;
    }

    public String getPackingRemark() {
        return packingRemark;
    }

    public void setPackingRemark(String packingRemark) {
        this.packingRemark = packingRemark;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<PackingDetail> getDetails() {
        return details;
    }

    public void setDetails(List<PackingDetail> details) {
        this.details = details;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
