package com.uas.platform.warehouse.tools.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.uas.platform.warehouse.core.util.JacksonUtils;
import org.joda.time.LocalDateTime;

import java.util.Date;

/**
 * Created by luhg on 2017/11/23.
 * 包装单明细.
 */
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class PackingDetail {
    @JsonIgnore
    private Long id;

    /**
     * 外键id
     */
    @JsonIgnore
    private long mainid;

    /**
     * 包装单号.
     */
    private String packingNo;

    /**
     * 包装单行号.
     */
    private String packingLineNo;

    /**
     * 物料号
     */
    private String pn;

    /**
     * 客户PO号
     */
    private String custPo;

    /**
     * 客户物料号
     */
    private String custPn;

    /**
     * 客户型号
     */
    private String custMode;

    /**
     * 合同号
     */
    private String contract;

    /**
     * 销售单价
     */
    private double salePrice;

    /**
     * 物料规格
     */
    private String spec;

    /**
     * 物料名称
     */
    private String itemName;


    /**
     * 备用字段1.
     */
    private String attribute1;

    /**
     * 备用字段2.
     */
    private String attribute2;

    /**
     * 备用字段3.
     */
    private String attribute3;


    public PackingDetail() {
    }

    @Override
    public String toString() {
        return JacksonUtils.toJson(this);
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPackingNo() {
        return packingNo;
    }

    public void setPackingNo(String packingNo) {
        this.packingNo = packingNo;
    }

    public String getPackingLineNo() {
        return packingLineNo;
    }

    public void setPackingLineNo(String packingLineNo) {
        this.packingLineNo = packingLineNo;
    }

    public String getPn() {
        return pn;
    }

    public void setPn(String pn) {
        this.pn = pn;
    }

    public String getCustPo() {
        return custPo;
    }

    public void setCustPo(String custPo) {
        this.custPo = custPo;
    }

    public String getCustPn() {
        return custPn;
    }

    public void setCustPn(String custPn) {
        this.custPn = custPn;
    }

    public String getCustMode() {
        return custMode;
    }

    public void setCustMode(String custMode) {
        this.custMode = custMode;
    }

    public String getContract() {
        return contract;
    }

    public void setContract(String contract) {
        this.contract = contract;
    }

    public double getSalePrice() {
        return salePrice;
    }

    public void setSalePrice(double salePrice) {
        this.salePrice = salePrice;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }

    public long getMainid() {
        return mainid;
    }

    public void setMainid(long mainid) {
        this.mainid = mainid;
    }
}
