package com.uas.platform.warehouse.tools.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;

/**
 * @Author liujw
 * @Date 2017/12/19 11:22
 */
public class ProdioMainfest {


    @JsonIgnore
    private long id;
    /**
     * 出入库单单据编号
     */
    private String code;

    /**
     * 数据类型.
     */
    private String type="prodio-mainfest";

    /**
     * 报关时间
     */
    private Date customsTime;

    /**
     * 报关状态
     */
    private String customsStatus;

    /**
     * 备注信息
     */
    private String remark;

    private Date date;

    /**
     * 接收方UU.
     */
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String receiverUU;

    /**
     * 发送方UU.
     */
    private String senderUU;

    /**
     * 企业名称.
     */
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String enterprise;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Date getCustomsTime() {
        return customsTime;
    }

    public void setCustomsTime(Date customsTime) {
        this.customsTime = customsTime;
    }

    public String getCustomsStatus() {
        return customsStatus;
    }

    public void setCustomsStatus(String customsStatus) {
        this.customsStatus = customsStatus;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getReceiverUU() {
        return receiverUU;
    }

    public void setReceiverUU(String receiverUU) {
        this.receiverUU = receiverUU;
    }

    public String getSenderUU() {
        return senderUU;
    }

    public void setSenderUU(String senderUU) {
        this.senderUU = senderUU;
    }

    public String getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(String enterprise) {
        this.enterprise = enterprise;
    }

    /**
     * 出入库报关状态
     */
    public enum mainfestState{
        /**
         * 已申报
         */
        REPORTED,
        /**
         * 已放行
         */
        PASSED
    }

}
