package com.uas.platform.warehouse.tools.domain;

/**
 * Created by luhg on 2017/11/4.
 * 物料资料
 */

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.uas.platform.warehouse.core.util.JacksonUtils;
import org.joda.time.LocalDateTime;

import java.util.Date;

@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class Product   extends AbstractVoucher {
    @JsonIgnore
    private long id;

    /**
     * 所属企业UU.
     */
    private String enUu;

    /**
     * 仓储公司
     */
    private String whName;

    /**
     * 料号
     */
    private String pn;

    /**
     * 物料规格
     */
    private String spec;

    /**
     * 最小包装
     */
    private long moq;

    /**
     * 物料种类
     */
    private String matkl;

    /**
     * 物料描述
     */
    private String matkx;

    /**
     * 品牌
     */
    private String brand;

    /**
     * 净重
     */
    private double outerboxnw;

    /**
     * 单位
     */
    private String uom;

    /**
     * 采购员编号
     */
    private String buyerCode;

    /**
     * 采购员姓名
     */
    private String buyerName;

    /**
     * 备注.
     */
    private String remark;

    /**
     * 接收方UU
     */
    private String receiverUU;

    /**
     * 发送方UU
     */
    private String senderUU;

    /**
     * 企业名称
     */
    private String enterprise;

    /**
     * 企业名称
     */
    private String type = "item";

    /**
     * 备用字段1.
     */
    private String attribute1;

    /**
     * 备用字段2.
     */
    private String attribute2;

    /**
     * 备用字段3.
     */
    private String attribute3;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getEnUu() {
        return enUu;
    }

    public void setEnUu(String enUu) {
        this.enUu = enUu;
    }

    public String getWhName() {
        return whName;
    }

    public void setWhName(String whName) {
        this.whName = whName;
    }

    public String getPn() {
        return pn;
    }

    public void setPn(String pn) {
        this.pn = pn;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public long getMoq() {
        return moq;
    }

    public void setMoq(long moq) {
        this.moq = moq;
    }

    public String getMatkl() {
        return matkl;
    }

    public void setMatkl(String matkl) {
        this.matkl = matkl;
    }

    public String getMatkx() {
        return matkx;
    }

    public void setMatkx(String matkx) {
        this.matkx = matkx;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public double getOuterboxnw() {
        return outerboxnw;
    }

    public void setOuterboxnw(double outerboxnw) {
        this.outerboxnw = outerboxnw;
    }

    public String getUom() {
        return uom;
    }

    public void setUom(String uom) {
        this.uom = uom;
    }

    public String getBuyerCode() {
        return buyerCode;
    }

    public void setBuyerCode(String buyerCode) {
        this.buyerCode = buyerCode;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getReceiverUU() {
        return receiverUU;
    }

    public void setReceiverUU(String receiverUU) {
        this.receiverUU = receiverUU;
    }

    public String getSenderUU() {
        return senderUU;
    }

    public void setSenderUU(String senderUU) {
        this.senderUU = senderUU;
    }

    public String getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(String enterprise) {
        this.enterprise = enterprise;
    }

    @Override
    public String toString() {
        return JacksonUtils.toJson(this);
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }
}
