package com.uas.platform.warehouse.tools.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.uas.platform.warehouse.core.util.JacksonUtils;

/**
 * 出货单明细，用于出货通知.
 *
 * @author huxz
 */
@JsonInclude(Include.NON_EMPTY)
public class ShipmentDetail {

  /**
   * 主键id
   */
  @JsonIgnore
  private long id;

  /**
   * 外键id
   */
  @JsonIgnore
  private long mainid;

  /**
   * 出货单号.
   */
  private String pullNo;

  /**
   * 出货单行号.
   */
  private String pullLineNo;

  /**
   * 物料号.
   */
  private String prodCode;

  /**
   * 出货数量.
   */
  private int outQty;

  /**
   * 批次号.
   */
  private String batchCode;

  /**
   * 客户物料号.
   */
  private String custProdCode;

  /**
   * 客户PO号.
   */
  private String poCode;

  /**
   * 客户型号.
   */
  private String custProdSpec;

  /**
   * 销售单价.
   */
  private Double salesPrice;

  /**
   * 物料规格.
   */
  private String spec;

  /**
   * 采购币别.
   */
  private String purCurrency;

  /**
   * 备用字段1.
   */
  private String attribute1;

  /**
   * 备用字段2.
   */
  private String attribute2;

  /**
   * 备用字段3.
   */
  private String attribute3;

  public ShipmentDetail() {
  }

  public String getPullLineNo() {
    return pullLineNo;
  }

  public void setPullLineNo(String pullLineNo) {
    this.pullLineNo = pullLineNo;
  }

  public String getProdCode() {
    return prodCode;
  }

  public void setProdCode(String prodCode) {
    this.prodCode = prodCode;
  }

  public int getOutQty() {
    return outQty;
  }

  public void setOutQty(int outQty) {
    this.outQty = outQty;
  }

  public String getBatchCode() {
    return batchCode;
  }

  public void setBatchCode(String batchCode) {
    this.batchCode = batchCode;
  }

  public String getCustProdCode() {
    return custProdCode;
  }

  public void setCustProdCode(String custProdCode) {
    this.custProdCode = custProdCode;
  }

  public String getPoCode() {
    return poCode;
  }

  public void setPoCode(String poCode) {
    this.poCode = poCode;
  }

  public String getCustProdSpec() {
    return custProdSpec;
  }

  public void setCustProdSpec(String custProdSpec) {
    this.custProdSpec = custProdSpec;
  }

  public Double getSalesPrice() {
    return salesPrice;
  }

  public void setSalesPrice(Double salesPrice) {
    this.salesPrice = salesPrice;
  }

  public String getSpec() {
    return spec;
  }

  public void setSpec(String spec) {
    this.spec = spec;
  }

  public String getAttribute1() {
    return attribute1;
  }

  public void setAttribute1(String attribute1) {
    this.attribute1 = attribute1;
  }

  public String getAttribute2() {
    return attribute2;
  }

  public void setAttribute2(String attribute2) {
    this.attribute2 = attribute2;
  }

  public String getAttribute3() {
    return attribute3;
  }

  public void setAttribute3(String attribute3) {
    this.attribute3 = attribute3;
  }

  @Override
  public String toString() {
    return JacksonUtils.toJson(this);
  }

  public String getPullNo() {
    return pullNo;
  }

  public void setPullNo(String pullNo) {
    this.pullNo = pullNo;
  }

  public long getId() {
    return id;
  }

  public void setId(long id) {
    this.id = id;
  }

  public long getMainid() {
    return mainid;
  }

  public void setMainid(long mainid) {
    this.mainid = mainid;
  }

  public String getPurCurrency() {
    return purCurrency;
  }

  public void setPurCurrency(String purCurrency) {
    this.purCurrency = purCurrency;
  }
}
