package com.uas.platform.warehouse.tools.domain;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.uas.platform.warehouse.core.domain.VoucherType;
import com.uas.platform.warehouse.core.domain.stockin.StockInCommon;
import com.uas.platform.warehouse.core.util.JacksonUtils;

/**
 * 入库回传.
 *
 * @author huxz
 */
@JsonInclude(Include.NON_EMPTY)
public class StockInReply extends AbstractReply implements StockInCommon {

  private static final long serialVersionUID = -8683251941110445375L;

  /**
   * 入库单号.
   */
  private String asnNo;

  /**
   * 回复状态.
   */
  private StockInReply.asnState state;

  /**
   * 入库类型，与ASN_TYPE一样.
   */
  private String docType;

  /**
   * 仓储操作人.
   */
  private String operator;

  /**
   * 出货回传回复类型.
   */
  public enum asnState {
    /**
     * 表示出货成功状态.
     */
    OK,
    /**
     * 表示出货失败状态.
     */
    NG
  }

  /**
   * 接收方UU
   */
  private String receiverUU;

  /**
   * 发送方UU
   */
  private String senderUU;

  /**
   * 企业名称
   */
  private String enterprise;

  private VoucherType voucherType;

  private String type = "asn-reply";

  public String getAsnNo() {
    return asnNo;
  }

  public void setAsnNo(String asnNo) {
    this.asnNo = asnNo;
  }

  public asnState getState() {
    return state;
  }

  public void setState(asnState state) {
    this.state = state;
  }

  public String getDocType() {
    return docType;
  }

  public void setDocType(String docType) {
    this.docType = docType;
  }

  public String getOperator() {
    return operator;
  }

  public void setOperator(String operator) {
    this.operator = operator;
  }

  public StockInReply() {
  }

  public VoucherType getVoucherType(){
    return this.CURRENT_VOUCHER_TYPE;
  }

  @Override
  public String getReceiverUU() {
    return receiverUU;
  }

  public void setReceiverUU(String receiverUU) {
    this.receiverUU = receiverUU;
  }

  public String getSenderUU() {
    return senderUU;
  }

  public void setSenderUU(String senderUU) {
    this.senderUU = senderUU;
  }

  public String getEnterprise() {
    return enterprise;
  }

  public void setEnterprise(String enterprise) {
    this.enterprise = enterprise;
  }

  @Override
  public String toString() {
    return JacksonUtils.toJson(this);
  }

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public void setVoucherType(VoucherType voucherType) {
    this.voucherType = voucherType;
  }
}
