package com.uas.platform.warehouse.tools.domain;

/**
 * Created by luhg on 2017/11/1.
 */

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.uas.platform.warehouse.core.domain.stockin.StockInCommon;
import com.uas.platform.warehouse.core.util.JacksonUtils;

import java.util.Date;
import java.util.List;

/**
 * 入库单信息.
 *
 * @author huxz
 */
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class Stockin  extends AbstractVoucher implements StockInCommon {
    @JsonIgnore
    private long id;

    /**
     * 所属企业UU.
     */
    private String enUu;

    /**
     * 仓库地址
     */
    private String location;

    /**
     * 入库库位.
     */
    private String whName;

    /**
     * 入库单号.
     */
    private String asnNo;

    /**
     * 入库类型.
     */
    private String asnType;

    /**
     * 日期.
     */
    private Date predate;

    /**
     * 币别.
     */
    private String cur;

    /**
     * 录入人.
     */
    private String operator;


    /**
     * 备注.
     */
    private String remark;

    /**
     * 类型，标识是入库还是出货还是其他类型的数据.
     */
    private String type = "asn";

    /**
     * 入库单明细.
     */
    private List<StockinDetail> details;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getEnUu() {
        return enUu;
    }

    public void setEnUu(String enUu) {
        this.enUu = enUu;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getWhName() {
        return whName;
    }

    public void setWhName(String whName) {
        this.whName = whName;
    }

    public String getAsnNo() {
        return asnNo;
    }

    public void setAsnNo(String asnNo) {
        this.asnNo = asnNo;
    }

    public String getAsnType() {
        return asnType;
    }

    public void setAsnType(String asnType) {
        this.asnType = asnType;
    }

    public Date getPredate() {
        return predate;
    }

    public void setPredate(Date predate) {
        this.predate = predate;
    }

    public String getCur() {
        return cur;
    }

    public void setCur(String cur) {
        this.cur = cur;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<StockinDetail> getDetails() {
        return details;
    }

    public void setDetails(List<StockinDetail> details) {
        this.details = details;
    }

    @Override
    public String toString() {
        return JacksonUtils.toJson(this);
    }

    public String getType() {
        return this.type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
