package com.uas.platform.warehouse.tools.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.uas.platform.warehouse.core.util.JacksonUtils;

/**
 * 入库单明细
 * Created by luhg on 2017/11/1.
 */
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class StockinDetail {
    /**
     * 主键id
     */
    @JsonIgnore
    private Long id;

    /**
     * 外键id
     */
    @JsonIgnore
    private long mainid;

    /**
     * 单据主键d
     */
    @JsonIgnore
    private long mainSourceId;

    /**
     * 入库单号.
     */
    private String asnNo;

    /**
     * 入库单行号.
     */
    private String asnLineNo;

    /**
     * 物料号.
     */
    private String pn;

    /**
     * 入库数量.
     */
    private int qty;

    /**
     * 单价.
     */
    private double unitprice;

    /**
     * 批号.
     */
    private String batchCode;

    /**
     * 备用字段1.
     */
    private String attribute1;

    /**
     * 备用字段2.
     */
    private String attribute2;

    /**
     * 备用字段3.
     */
    private String attribute3;

    public StockinDetail() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public long getMainid() {
        return mainid;
    }

    public void setMainid(long mainid) {
        this.mainid = mainid;
    }

    public long getMainSourceId() {
        return mainSourceId;
    }

    public void setMainSourceId(long mainSourceId) {
        this.mainSourceId = mainSourceId;
    }

    public String getAsnNo() {
        return asnNo;
    }

    public void setAsnNo(String asnNo) {
        this.asnNo = asnNo;
    }

    public String getAsnLineNo() {
        return asnLineNo;
    }

    public void setAsnLineNo(String asnLineNo) {
        this.asnLineNo = asnLineNo;
    }

    public String getPn() {
        return pn;
    }

    public void setPn(String pn) {
        this.pn = pn;
    }

    public int getQty() {
        return qty;
    }

    public void setQty(int qty) {
        this.qty = qty;
    }

    public double getUnitprice() {
        return unitprice;
    }

    public void setUnitprice(double unitprice) {
        this.unitprice = unitprice;
    }

    public String getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }

    @Override
    public String toString() {
        return JacksonUtils.toJson(this);
    }
}