package com.uas.platform.warehouse.tools.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.uas.platform.warehouse.core.domain.transfer.TransferCommon;
import com.uas.platform.warehouse.core.util.JacksonUtils;

import java.util.Date;
import java.util.List;

/**
 * Created by luhg on 2017/11/3.
 * 调拨单实体.
 */
public class Transfer  extends AbstractVoucher implements TransferCommon {
    @JsonIgnore
    private long id;

    /**
     * 所属企业UU.
     */
    @JsonIgnore
    private String enUu;

    /**
     * 数据类型.
     */
    private String type = "tran";

    /**
     * 调拨单号.
     */
    private String tranNo;

    /**
     * 调拨类型.
     */
    private String tranType;

    /**
     * 日期.
     */
    private Date predate;

    /**
     * 录入人.
     */
    private String operator;

    /**
     * 备注.
     */
    private String remark;

    /**
     * 仓储公司
     */
    private String whName;

    /**
     * 调拨单明细.
     */
    private List<TransferDetail> details;


    public Transfer() {
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getEnUu() {
        return enUu;
    }

    public void setEnUu(String enUu) {
        this.enUu = enUu;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTranNo() {
        return tranNo;
    }

    public void setTranNo(String tranNo) {
        this.tranNo = tranNo;
    }

    public String getTranType() {
        return tranType;
    }

    public void setTranType(String tranType) {
        this.tranType = tranType;
    }

    public Date getPredate() {
        return predate;
    }

    public void setPredate(Date predate) {
        this.predate = predate;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getWhName() {
        return whName;
    }

    public void setWhName(String whName) {
        this.whName = whName;
    }

    @Override
    public String toString() {
        return JacksonUtils.toJson(this);
    }

    public List<TransferDetail> getDetails() {
        return details;
    }

    public void setDetails(List<TransferDetail> details) {
        this.details = details;
    }
}
