package com.uas.platform.warehouse.tools.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.uas.platform.warehouse.core.util.JacksonUtils;

/**
 * Created by luhg on 2017/11/3.
 */
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class TransferDetail {
    /**
     * 主键id
     */
    @JsonIgnore
    private Long id;

    /**
     * 外键id
     */
    @JsonIgnore
    private long mainid;

    /**
     * 单据主键d
     */
    @JsonIgnore
    private long mainSourceId;

    /**
     * 调拨单号.
     */
    private String tranNo;

    /**
     * 调拨单行号.
     */
    private int tranLineNo;

    /**
     * 物料号.
     */
    private String pn;

    /**
     * 调拨数量.
     */
    private int qty;

    /**
     * 批号.
     */
    private String batchCode;

    /**
     * 备用字段1.
     */
    private String attribute1;

    /**
     * 备用字段2.
     */
    private String attribute2;

    /**
     * 备用字段3.
     */
    private String attribute3;

    public TransferDetail() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public long getMainid() {
        return mainid;
    }

    public void setMainid(long mainid) {
        this.mainid = mainid;
    }

    public long getMainSourceId() {
        return mainSourceId;
    }

    public void setMainSourceId(long mainSourceId) {
        this.mainSourceId = mainSourceId;
    }

    public String getTranNo() {
        return tranNo;
    }

    public void setTranNo(String tranNo) {
        this.tranNo = tranNo;
    }

    public int getTranLineNo() {
        return tranLineNo;
    }

    public void setTranLineNo(int tranLineNo) {
        this.tranLineNo = tranLineNo;
    }

    public String getPn() {
        return pn;
    }

    public void setPn(String pn) {
        this.pn = pn;
    }

    public int getQty() {
        return qty;
    }

    public void setQty(int qty) {
        this.qty = qty;
    }

    public String getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }

    @Override
    public String toString() {
        return JacksonUtils.toJson(this);
    }
}
