package com.uas.platform.warehouse.tools.util;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.http.NameValuePair;
import org.apache.http.client.utils.URIBuilder;

/**
 * Url utility class that builds url.
 *
 * @author huxz
 */
public class UrlUtils {

  /**
   * Build url link.
   *
   * @param host  ip of service machine
   * @param path  request location
   * @param nvpList request parameter pairs
   * @return  a built url
   */
  public static URI buildUrl(String host, String path, List<NameValuePair> nvpList)
      throws URISyntaxException {
    //TODO SET PATH
    return new URIBuilder()
        .setScheme("http")
        .setHost(host)
        .setPath(path)
        .addParameters(nvpList)
        .build();
  }

  public static URI getUriByKeyAndUrl(String host,String url,String appKey, String secretKey) throws URISyntaxException{
    Map<String, String> params = new HashMap<>(16);
    List<NameValuePair> nvpList = SignUtil.generateParameterList(appKey, secretKey, params);

    URI uri = UrlUtils.buildUrl(host, url, nvpList);
    return uri;
  }
}
