package com.uas.platform.warehouse.sample;

import java.util.Random;
import java.util.UUID;
import org.junit.Test;

/**
 * Demo for key creating.
 *
 * @author huxz
 */
public class DemoForKeyCreate {

  private static String createUuid() {
    String uuid = UUID.randomUUID().toString();
    return uuid.replaceAll("-", "");
  }

  @Test
  public void createKeyAndSecret() throws Exception {
    // ACCESS_KEY_ID
    String accessKey = createUuid();
    System.out.println(accessKey);
    System.out.println(accessKey.length());

    // SECRET_ACCESS_KEY
    StringBuilder builder = new StringBuilder(createUuid());
    for (int i = 0; i < 8; i++) {
      Random random = new Random();
      int index = random.nextInt(accessKey.length());
      System.out.println("Random Index: " + index);

      builder.insert(index, accessKey.substring(index, index + 1));
    }
    String secretKey = builder.toString();
    System.out.println(secretKey.length());
    System.out.println(secretKey);
  }
}
