package com.uas.platform.warehouse.sample;

import com.uas.platform.warehouse.core.domain.VoucherType;
import com.uas.platform.warehouse.tools.domain.NormalReply;
import com.uas.platform.warehouse.tools.domain.ShipmentReply;
import com.uas.platform.warehouse.tools.domain.StockInReply;
import com.uas.platform.warehouse.tools.domain.*;
import org.joda.time.LocalDate;
import org.joda.time.LocalDateTime;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by luhg on 2017/11/2.
 * Get entity demo.
 */
public class EntityDemo {
    public static Product getProduct(){
        String number = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
        Product product = new Product();

        product.setPn("AB1938");
        product.setReceiverUU("171102");
        product.setSenderUU("123456");
        product.setEnterprise("华商龙");
        product.setBrand("AOC");
        product.setRemark("test remark");
        product.setBuyerCode("buyercode");
        product.setBuyerName("buyername");
        product.setUom("kg");
        product.setMoq(1000);
        product.setOuterboxnw(100d);
        return product;
    }

    public static NormalReply getNormalReply(){
        String number = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
        NormalReply reply = new NormalReply();
        reply.setNo("RESP"+number);
        reply.setDocType("出货单");
        reply.setState(NormalReply.RespState.GET);
        reply.setOperator("luhg");
        reply.setReceiverUU("123456");
        reply.setSenderUU("171102");
        reply.setEnterprise("华商龙");
        reply.setType("reply");
        reply.setVoucherType(VoucherType.STOCK_OUT);
        reply.setAttribute1("");
        reply.setRemark("测试用");
        reply.setLogisticsaddr("深圳");
        reply.setLogisticsremark("remark1");
        reply.setLogisticstime(LocalDate.now().toDate());
        return reply;
    }

    public static Transfer getTransfer(){
        final String address = "深圳市 南山区 科技南五路";
        final int detailSize = 2;
        String number = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
        String tranNo = "TRAN" + number;
        Transfer transfer = new Transfer();
        transfer.setTranNo(tranNo);
        System.out.println("TRAN_NO:" + tranNo);
        transfer.setWhName(ConstantForTest.WH_NAME);
        transfer.setTranNo("拨出单");
        transfer.setOperator("liujw");
        transfer.setSenderUU("123456");
        transfer.setReceiverUU("171102");
        transfer.setEnterprise("华商龙");
        transfer.setAttribute1("transfer attribute");

        List<TransferDetail> details = new ArrayList<>();
        for (int i = 0; i < detailSize; i++) {
            String numberDeatil = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
            TransferDetail detail = new TransferDetail();

            detail.setTranNo(tranNo);
            detail.setTranLineNo(i);
            detail.setQty(100);
            detail.setPn("PN_" + i);
            detail.setBatchCode("BT" + numberDeatil);
            detail.setAttribute1("test attribute1");
            details.add(detail);
        }
        transfer.setDetails(details);

        transfer.setPredate(LocalDate.now().toDate());

        return transfer;
    }

    public static Shipment getShipment(){
        final String address = "深圳市 南山区 科技南五路";
        final int detailSize = 2;

        String number = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
        String pullNo = "PU" + number;
        Shipment shipment = new Shipment();
        shipment.setPullNo(pullNo);
        System.out.println("PULL_NO:" + pullNo);
        shipment.setWhName(ConstantForTest.WH_NAME);
        shipment.setAddress(address);
        shipment.setCustUU("1234");
        shipment.setReceiverUU("171102");
        shipment.setSenderUU("123456");
        shipment.setLocation("XN");
        shipment.setEnterprise("华商龙");
        shipment.setAttribute1("test attribute1");

        List<ShipmentDetail> details = new ArrayList<>();
        for (int i = 0; i < detailSize; i++) {
            String numberDeatil = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
            ShipmentDetail detail = new ShipmentDetail();

            detail.setPullNo(pullNo);
            detail.setPullLineNo(Integer.toString(i));
            detail.setSalesPrice(1.0d);
            detail.setOutQty(1);
            detail.setBatchCode("BT" + numberDeatil);
            detail.setPurCurrency("RMB");
            detail.setAttribute1("test attribute1");

            details.add(detail);
        }
        shipment.setDetails(details);

        shipment.setPredate(LocalDate.now().toDate());
        return shipment;
    }

    public static Stockin getStockin(){
        final String address = "深圳市 南山区 科技南五路";
        final int detailSize = 2;
        String number = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
        String asnNo = "ASN" + number;
        Stockin stockin = new Stockin();
        stockin.setAsnNo(asnNo);
        System.out.println("ASN_NO:" + asnNo);
        stockin.setWhName(ConstantForTest.WH_NAME);
        stockin.setLocation("XN");
        stockin.setAsnType("采购验收单");
        stockin.setCur("RMB");
        stockin.setSenderUU("123456");
        stockin.setReceiverUU("171102");
        stockin.setEnterprise("华商龙");

        List<StockinDetail> details = new ArrayList<>();
        for (int i = 0; i < detailSize; i++) {
            String numberDeatil = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
            StockinDetail detail = new StockinDetail();

            detail.setAsnNo(asnNo);
            detail.setAsnLineNo(Integer.toString(i));
            detail.setUnitprice(2.0d);
            detail.setQty(100);
            detail.setBatchCode("BT" + numberDeatil);
            detail.setAttribute1("test attribute1");
            details.add(detail);
        }
        stockin.setDetails(details);

        stockin.setPredate(LocalDate.now().toDate());

        return stockin;
    }

    public static ShipmentReply getShipmentReply(){
        String number = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
        ShipmentReply reply = new ShipmentReply();
        reply.setDeliverNo("DN" + number);
        reply.setDocType("出货单");
        reply.setPullNo("PU_TEST");
        reply.setState(ShipmentReply.PullState.OK);
        reply.setOperator("liujw");
        reply.setReceiverUU("123456");
        reply.setSenderUU("171102");
        reply.setEnterprise("华商龙");
        return reply;
    }

    public static StockInReply getStockinReply(){
        String number = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
        StockInReply reply = new StockInReply();
        reply.setAsnNo("ASN_TEST");
        reply.setDocType("出货单");
        reply.setState(StockInReply.asnState.OK);
        reply.setOperator("liujw");
        reply.setReceiverUU("123456");
        reply.setSenderUU("171102");
        reply.setEnterprise("华商龙");
        return reply;
    }

    public static Packing getPacking(){
        final String address = "深圳市 南山区 科技南五路";
        final int detailSize = 2;

        String number = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
        String packingNo = "Packing" + number;
        Packing packing  = new Packing();
        packing.setPackingNo(packingNo);
        packing.setPackingDate(LocalDate.now().toDate());
        packing.setSenderUU("123456");
        packing.setReceiverUU("171102");

        List<PackingDetail> details = new ArrayList<>();
        for (int i = 0; i < detailSize; i++) {
            String numberDeatil = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
            PackingDetail detail = new PackingDetail();

            detail.setPackingNo(packingNo);
            detail.setPackingLineNo(Integer.toString(i));
            detail.setCustPn("testpn");
            detail.setSalePrice(12.3d);
            details.add(detail);
        }
        packing.setDetails(details);

        return packing;
    }

    public static Invoice getInvoice(){
        final String address = "深圳市 南山区 科技南五路";
        final int detailSize = 2;

        String number = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
        String invoiceNo = "Invoice" + number;
        Invoice invoice  = new Invoice();
        invoice.setInvoiceNo("testInvoice");
        invoice.setInvoiceDate(LocalDate.now().toDate());
        invoice.setSenderUU("123456");
        invoice.setReceiverUU("171102");

        List<InvoiceDetail> details = new ArrayList<>();
        for (int i = 0; i < detailSize; i++) {
            String numberDeatil = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
            InvoiceDetail detail = new InvoiceDetail();

            detail.setInvoiceNo(invoiceNo);
            detail.setInvoiceLineNo(Integer.toString(i));
            detail.setCustPn("testpn");
            details.add(detail);
        }
        invoice.setDetails(details);

        return invoice;
    }

    public static InvoiceReply getInvoiceReply(){
        final String address = "深圳市 南山区 科技南五路";
        final int detailSize = 2;

        String number = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
        String invoiceNo = "Invoice" + number;
        InvoiceReply invoiceReply  = new InvoiceReply();
        invoiceReply.setInvoiceNo("testInvoice");
        invoiceReply.setSenderUU("171102");
        invoiceReply.setReceiverUU("123456");

        List<InvoiceReplyDetail> details = new ArrayList<>();
        for (int i = 0; i < detailSize; i++) {
            String numberDeatil = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
            InvoiceReplyDetail detail = new InvoiceReplyDetail();

            detail.setInvoiceNo(invoiceNo);
            detail.setInvoiceLineNo(Integer.toString(i));
            detail.setCustPn("testpn");
            details.add(detail);
        }
        invoiceReply.setDetails(details);

        return invoiceReply;
    }

    public static Status getStatus(){
        String billId ="f8c4a65a7dda47b2bdaf7deb9b2543d4";
        Status.BillStatus billStatus = Status.BillStatus.OK;
        String remark ="remark";
        Status status = new Status();
        status.setBillId(billId);
        status.setBillStatus(billStatus);
        status.setRemark(remark);
        return status;
    }
}
