package com.uas.platform.warehouse.sample;

import com.uas.platform.warehouse.tools.domain.ShipmentReply;
import com.uas.platform.warehouse.tools.client.Warehouse;
import com.uas.platform.warehouse.tools.domain.Shipment;
import com.uas.platform.warehouse.tools.domain.ShipmentDetail;
import com.uas.platform.warehouse.tools.domain.Stockin;
import com.uas.platform.warehouse.tools.domain.StockinDetail;
import com.uas.platform.warehouse.tools.util.HttpClientUtil;
import com.uas.platform.warehouse.tools.util.SignUtil;
import com.uas.platform.warehouse.tools.util.UrlUtils;
import org.apache.http.NameValuePair;
import org.joda.time.LocalDate;
import org.joda.time.LocalDateTime;
import org.junit.Test;

import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;
import java.util.ArrayList;
import java.util.List;

/**
 * Warehouse client testing demo.
 *
 * @author huxz
 */
public class UASEnterpriseUserDemo {

  private static Warehouse client = new Warehouse(ConstantForTest.ENDPOINT,
      ConstantForTest.EN_APP_KEY, ConstantForTest.EN_SECRET_KEY);

  /**
   * 测试出货操作.
   */
  /*private static void testShipFromWarehouse() throws IOException, URISyntaxException {
    final String address = "深圳市 南山区 科技南五路";
    final int detailSize = 2;

    String number = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
    String pullNo = "PU" + number;
    Shipment shipment = new Shipment();
    shipment.setPullNo(pullNo);
    System.out.println("PULL_NO:" + pullNo);
    shipment.setWhName(ConstantForTest.WH_NAME);
    shipment.setAddress(address);
    shipment.setCustUU("1234");
    shipment.setReceiverUU("receiverUU");
    shipment.setSenderUU("senderUU");
    shipment.setLocation("XN");

    List<ShipmentDetail> details = new ArrayList<>();
    for (int i = 0; i < detailSize; i++) {
      String numberDeatil = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
      ShipmentDetail detail = new ShipmentDetail();

      detail.setPullNo(pullNo);
      detail.setPullLineNo(Integer.toString(i));
      detail.setSalesPrice(1.0d);
      detail.setOutQty(1);
      detail.setBatchCode("BT" + numberDeatil);
      detail.setAttribute1("test attribute1");

      details.add(detail);
    }
    shipment.setDetails(details);

    shipment.setPredate(LocalDate.now().toDate());

    String result = client.shipFromWarehouse(ConstantForTest.WH_NAME, shipment);
    System.out.println("Ship Status: " + result);
  }*/

  /**
   * 测试入库操作.
   */
 /* private static void testStockinFromWarehouse() throws IOException, URISyntaxException {
    final String address = "深圳市 南山区 科技南五路";
    final int detailSize = 2;

    String number = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
    String asnNo = "PU" + number;
    Stockin stockin = new Stockin();
    stockin.setAsnNo(asnNo);
    System.out.println("ASN_NO:" + asnNo);
    stockin.setWhName(ConstantForTest.WH_NAME);
    stockin.setLocation("XN");
    stockin.setAsnType("采购验收单");
    stockin.setCur("RMB");
    stockin.setSenderUU("123");
    stockin.setReceiverUU("456");
    stockin.setEnterprise("华商龙");

    List<StockinDetail> details = new ArrayList<>();
    for (int i = 0; i < detailSize; i++) {
      String numberDeatil = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
      StockinDetail detail = new StockinDetail();

      detail.setAsnNo(asnNo);
      detail.setAsnLineNo(Integer.toString(i));
      detail.setUnitprice(2.0d);
      detail.setQty(100);
      detail.setBatchCode("BT" + numberDeatil);
      detail.setAttribute1("test attribute1");
      details.add(detail);
    }
    stockin.setDetails(details);

    stockin.setPredate(LocalDate.now().toDate());

    String result = client.sendToWarehouse(ConstantForTest.WH_NAME, stockin);
    System.out.println("Ship Status: " + result);
  }

  *//**
   * 测试获取收到的出货回传信息.
   *//*
  private static void testGainShipReplyNotice() throws IOException, URISyntaxException {
    List<ShipmentReply> replies = client.gainShipReplyNotice();
    System.out.println("Reply Notice: " + replies);
  }

  @Test
  public void testWarehouseOperations() throws Exception {
    UASEnterpriseUserDemo.testShipFromWarehouse();
    UASEnterpriseUserDemo.testGainShipReplyNotice();
  }*/

  /**
   * 测试入库
   * @throws Exception
   */
/*  @Test
  public void testWarehouseStockinOperations() throws Exception {
    UASEnterpriseUserDemo.testStockinFromWarehouse();
  }*/

  /**
   * 测试入库(公共接口)
   * @throws Exception
   */
  @Test
  public void testWarehouseStockinCommonOperations() throws Exception {
    Stockin stockin = EntityDemo.getStockin();
    List<Stockin> stockins = new ArrayList<>();
    stockins.add(stockin);
    URI uri = getUri();
    HttpClientUtil.postMethod(uri,stockins);
  }

  public URI getUri() throws Exception {
    List<NameValuePair> nvpList = getSignKey();
    return UrlUtils.buildUrl(ConstantForTest.ENDPOINT, "api/post", nvpList);
  }

  public List<NameValuePair> getSignKey(){
    return SignUtil.generateParameterList(
            ConstantForTest.EN_APP_KEY, ConstantForTest.EN_SECRET_KEY, null);
  }

  /**
   * 测试出货(公共接口)
   * @throws Exception
   */
  @Test
  public void testWarehouseShipmentCommonOperations() throws Exception {
    Shipment shipment = EntityDemo.getShipment();
    List<Shipment> shipments = new ArrayList<>();
    shipments.add(shipment);
    URI uri = getUri();
    HttpClientUtil.postMethod(uri,shipments);
  }


  /**
   * 获取供应商回复信息
   * @throws Exception
   */
/*  @Test
  public void testCustomerGetReplyOperations() throws Exception {
    //receiver uu 10030463
    UASEnterpriseUserDemo.testGainShipReplyNotice();
  }*/
}
