package com.uas.platform.warehouse.sample;

import static com.uas.platform.warehouse.sample.ConstantForTest.ENDPOINT;

import com.uas.platform.warehouse.tools.domain.ShipmentReply;
import com.uas.platform.warehouse.tools.domain.ShipmentReply.PullState;
import com.uas.platform.warehouse.tools.domain.StockInReply;
import com.uas.platform.warehouse.core.util.JacksonUtils;
import com.uas.platform.warehouse.tools.client.WarehouseProvider;
import com.uas.platform.warehouse.tools.domain.Shipment;
import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import com.uas.platform.warehouse.tools.domain.Stockin;
import com.uas.platform.warehouse.tools.util.HttpClientUtil;
import com.uas.platform.warehouse.tools.util.SignUtil;
import com.uas.platform.warehouse.tools.util.UrlUtils;
import org.apache.http.NameValuePair;
import org.joda.time.LocalDateTime;
import org.junit.Test;

/**
 * Warehouse provider client testing demo.
 *
 * @author huxz
 */
public class WarehouseProviderDemo {

  private static final String OP_NAME = "huxz";

  private static WarehouseProvider client = new WarehouseProvider(ENDPOINT,
      ConstantForTest.WH_APP_KEY, ConstantForTest.WH_SECRET_KEY);

  /**
   * 测试获取用户发送的出货通知.
   */
  private static String testGainShipmentNotice() throws IOException, URISyntaxException {
    String shipments = client.getNotification();

    System.out.println("Shipment Notice: " + shipments);
    return shipments;
  }

  /**
   * 测试出货回传操作.
   */
  /*private static void testShipReplyFromWarehouse(Shipment shipment)
      throws IOException, URISyntaxException {

    String number = LocalDateTime.now().toString("yyyyMMddHHmmssSSS");
    ShipmentReply reply = new ShipmentReply();
    reply.setDeliverNo("DN" + number);
    reply.setDocType(shipment.getPullType());
    reply.setPullNo(shipment.getPullNo());
    reply.setState(PullState.OK);
    reply.setOperator(OP_NAME);

    String result = client.uploadShipReplyToPlatform(ConstantForTest.ENTERPRISE_UU, reply);
    System.out.println("Result: " + result);
  }

  *//**
   * 测试入库回传操作.
   *//*
  private static void testStockInReplyFromWarehouse(Stockin stockin)
      throws IOException, URISyntaxException {

    StockInReply reply = new StockInReply();
    String result = client.uploadStockInReplyToPlatform(ConstantForTest.ENTERPRISE_UU, reply);
    reply.setAsnNo(stockin.getAsnNo());
    reply.setDocType(stockin.getAsnType());
    reply.setOperator(OP_NAME);
    reply.setState(StockInReply.asnState.OK);
    System.out.println("Result: " + result);
  }*/

  /**
   * 模拟仓储提供商获取出货通知信息，并处理出货操作.
   */
  @Test
/*  public void testWarehouseProviderOperations() throws Exception {
    List<String> datas = WarehouseProviderDemo.testGainShipmentNotice();
    System.out.println(datas);
    if (datas != null && datas.size() > 0) {
     for(String data:datas){
       Map map = JacksonUtils.fromJson(data,Map.class);
       String type = map.get("type").toString();
       System.out.println("type:"+type);
       if("pull".equals(type)){
         Shipment ship = JacksonUtils.fromJson(data, Shipment.class);
         System.out.println("get shipment:"+ship.getPullNo());
       }else if("asn".equals(type)){
         Stockin stin = JacksonUtils.fromJson(data, Stockin.class);
         System.out.println("get stockin:"+stin.getAsnNo());
         //testStockInReplyFromWarehouse(stin);
       }
     }
    } else {
      System.out.println("Do nothing");
    }
  }*/

  public URI getUri() throws Exception {
    List<NameValuePair> nvpList = getSignKey();
    return UrlUtils.buildUrl(ConstantForTest.ENDPOINT, "api/warehouse/notice//post-to-b2b", nvpList);
  }

  public List<NameValuePair> getSignKey(){
    return SignUtil.generateParameterList(
            ConstantForTest.EN_APP_KEY, ConstantForTest.EN_SECRET_KEY, null);
  }

  /**
   * 测试供应商出货回复(公共接口)
   * @throws Exception
   */
  @Test
  public void testProviderReplyOperations() throws Exception {
    ShipmentReply shipmentReply = EntityDemo.getShipmentReply();
    List<ShipmentReply> shipmentReplys = new ArrayList<>();
    shipmentReplys.add(shipmentReply);
    URI uri = getUri();
    HttpClientUtil.postMethod(uri,shipmentReplys);
  }

  /**
   * 测试供应商入库回复(公共接口)
   * @throws Exception
   */
  @Test
  public void testProviderStockinReplyOperations() throws Exception {
    StockInReply stockinReply = EntityDemo.getStockinReply();
    List<StockInReply> stockinReplys = new ArrayList<>();
    stockinReplys.add(stockinReply);
    URI uri = getUri();
    HttpClientUtil.postMethod(uri,stockinReplys);
  }


}
